﻿var app_name = 'Calcolatore NWDR';
var app_ver = 'Ver. 2.90R00 ITA (2018/11/27)';
var app_reqspec = 'Requisiti di sistema: Windows 10 / 8.1 / 7, Microsoft Edge / Internet Explorer 11, RAM minimo 1GB';
var app_dst = 'it';

var s_note_cap = 'Avvertenze';
var s_note_txt1 = '<ul>' +
    '<li>Calcolo del bersaglio sarà ND400 Ver 6.10 o successiva / NV300 Ver 2.30 o successiva.</li>' +
    '<br>' +
    '<li>' +
    '<span class="note_txt_style sTextCaution">' +
    'I risultati dei calcoli di questo strumento sono valori basati sulla valutazione in condizioni specifiche stimati, e le differenze possono verificarsi a seconda degli oggetti da fotografare, etc.<br>' +
    'E \'necessario prestare attenzione ai seguenti contenuti e per progettare e configurare il sistema con spazio sufficiente per capacità del disco rigido.' +
    '</span>' +
    '<ul>' +
    '<li type="circle">Il metodo di compressione video come H.264 può superare il valore di bit rate impostato in base alle condizioni dell\'oggetto.</li>' +
    '<li type="circle">Si può superare il valore impostato bit rate in luoghi con molti passeggeri, gli oggetti con un sacco di movimento, luoghi con modelli complicati sullo sfondo, e così via.</li>' +
    '<li type="circle">Nel caso di 1 fps, in termini di meccanismo di generazione di immagini (Intervallo I-frame), il valore calcolato viene dato con più margine del valore specificato.</li>' +
    '<li type="circle">Se la videocamera non è collegata alla rete durante l\'impostazione del registratore, le impostazioni della fotocamera non possono essere aggiornate e c\'è la possibilità che venga registrato con un valore di bit rate più alto rispetto al calcolo, a seconda delle impostazioni esistenti della videocamera. E potresti non essere in grado di registrare il numero di giorni dell\'assunzione.<br>(Fare attenzione quando si leggono le informazioni di impostazione da un altro registratore)</li>' +
    '</ul>' +
    '</li>' +
    '<li>l frame rate negli stream MPEG-4 ed H.264 sono basati sull’intervallo di rinfresco predefinito (intervallo I-frame). Un intervallo di rinfresco più breve del valore predefinito genererebbe un frame rate inferiore.</li>' +
    '<li>Il bit rate generato dalle telecamere sulla rete può variare a seconda del soggetto ripreso o delle condizioni di impegno della rete.</li>' +
    '</ul>';
var s_note_txt2 = '<ul>' +
    '<li>Dimensione del file JPEG e bit rate raccomandata di H.264 / MPEG-4 avrebbero variare a seconda delle prestazioni di ogni telecamera. Pertanto, i giorni di registrazione possono differire anche allo stesso condizioni di registrazione.</li>' +
    '</ul>';
var s_note_txt3 = '<ul>' +
    '<li>Per registrare un flusso di bit rate elevato in ND400 (Maggiore di 6 Mbps),è necessario impostare la modalità di risoluzione a 4K con Ver 5.00 o successiva. Si prega di controllare le informazioni di supporto per il sito Web.</li>' +
    '<li>ND400 (Ver 4.30 o successiva) e NV300 (Ver 1.10 o successiva) supporta il monitoraggio audio del microfono della rete a 360 gradi (WV-SMR10)</li>' +
    '</ul>';

var s_note_addtxt1 = 'Il REFRESH verrà eseguito ad ogni operazione, ad esempio ';
var s_note_addtxt2 = 'il numero di flussi';
var s_note_addtxt3 = '(Non è un numero fisica di telecamere, il numero di flussi / ch al numero di record) o i parametri video.';
var s_tblheader_reccondition = 'Parametri di registrazione';
var s_cam_fps_max = 'Max ';
var s_cam_bitrate_mbps = 'Mbps';
var s_cam_bitrate_kbps = 'kbps';
var s_cam_fps = 'fps';
var s_cam_fps_none = '< 1fps';

var s_cam_kb = 'KB';
var s_mark_notice = '(*)';
var s_mark_support_sf = '(SF)';
var s_mark_support_fq = '(FQ)';
var s_mark_support_nq = '(NQ)';

var s_space = '   ';
var s_separator = '__';

var s_tblheader_compkind_h264 = 'Tipo';
var s_tblheader_camnum_h264 = 'N.';
var s_tblheader_cammodel_h264 = 'Numero del modello';
var s_tblheader_reso_h264 = 'Risoluzione';
var s_tblheader_scanmode_h264 = 'Modalità cattura immagine';
var s_tblheader_priority_h264 = 'Modalità priorità / Qualità';
var s_tblheader_quality_h264 = 'Qualità / Registrazione (fps)';
var s_tblheader_bitrate_h264 = 'Bit rate per una telecamera';

var s_compkind_h264 = 'H.264';

var s_cammodel_h264_01 = 'i-PRO SmartHD';
var s_cammodel_h264_02 = 'i-PRO SmartHD(FullHD)';
var s_cammodel_h264_03 = 'NP502/NW502S';
var s_cammodel_h264_04 = 'GXE500';
var s_cammodel_h264_05 = 'BB-HCM7**';
var s_cammodel_h264_06 = 'SF4**/SW4**';
var s_cammodel_h264_07 = 'GXE100';
var s_cammodel_h264_08 = 'S**63*/S**53*/S**13*';
var s_cammodel_h264_09 = 'S**61*/S**31*/S**11*';
var s_cammodel_h264_10 = 'SF4**/SW4**+SMR10';
var s_cammodel_h264_11 = 'SF*48*(4K)';
var s_cammodel_h264_12 = 'SF*48*(4K)+SMR10';
var s_cammodel_h264_13 = 'S**78*(4K)';
var s_cammodel_h264_14 = 'S6*3*/S2*3*/S1*3*/X6*3*';
var s_cammodel_h264_15 = 'S6*1*/S2*1*/S1*1*/X6*1*';
var s_cammodel_h264_16 = 'V2*3*/V1*3*';
var s_cammodel_h264_17 = 'V6*3*';
var s_cammodel_h264_18 = 'V1*7*';
var s_cammodel_h264_19 = 'S4*5*';
var s_cammodel_h264_20 = 'X4*7*';
var s_cammodel_h264_21 = 'S2*5*/S1*5*';
var s_cammodel_h264_22 = 'S3*3*';
var s_cammodel_h264_23 = 'S3*1*';

var s_camscan_h264_00 = '--';
var s_camscan_h264_01 = '1.3M';
var s_camscan_h264_02 = '2M';
var s_camscan_h264_03 = '3M';
var s_camscan_h264_04 = '1M';
var s_camscan_h264_05 = 'due modalità';
var s_camscan_h264_06 = 'VGA(4)';
var s_camscan_h264_07 = '1.3M(60fps)';
var s_camscan_h264_08 = '2M(60fps)';
var s_camscan_h264_09 = '9M(FE)';
var s_camscan_h264_10 = '4M(FE)';
var s_camscan_h264_11 = 'DP/P';
var s_camscan_h264_12 = '8M(FE+DP/P)';
var s_camscan_h264_13 = '4M(FE+DP/P)';
var s_camscan_h264_14 = '8M(FE+4PTZ)';
var s_camscan_h264_15 = '4M(FE+4PTZ)';
var s_camscan_h264_16 = 'Quad streams';
var s_camscan_h264_17 = '4PTZ/1PTZ';
var s_camscan_h264_18 = '12M';
var s_camscan_h264_19 = '8M(30fps)';
var s_camscan_h264_20 = '8M(15fps)';
var s_camscan_h264_21 = '5M';
var s_camscan_h264_22 = '4M';
var s_camscan_h264_23 = 'Ritaglio';
var s_camscan_h264_24 = 'FE';
var s_camscan_h264_25 = 'FE+DP/P';
var s_camscan_h264_26 = 'FE+4PTZ';
var s_camscan_h264_27 = 'DP';
var s_camscan_h264_28 = 'P';
var s_camscan_h264_29 = '4:3';
var s_camscan_h264_30 = '16:9';

var s_camreso_h264_01 = 'SXVGA';
var s_camreso_h264_02 = 'VGA';
var s_camreso_h264_03 = 'QVGA';
var s_camreso_h264_04 = 'FHD';
var s_camreso_h264_05 = 'HD';
var s_camreso_h264_06 = 'HVGAW';
var s_camreso_h264_07 = '180P';
var s_camreso_h264_08 = 'SVGA';
var s_camreso_h264_09 = 'QXGA';
var s_camreso_h264_10 = 'UXGA';
var s_camreso_h264_11 = '400x300';
var s_camreso_h264_12 = 'QQVGA';
var s_camreso_h264_13 = '160x90';
var s_camreso_h264_14 = 'WQHD';
var s_camreso_h264_15 = '2992x2992';
var s_camreso_h264_16 = '2816x2816';
var s_camreso_h264_17 = '2048x2048';
var s_camreso_h264_18 = '1280x1280';
var s_camreso_h264_19 = '640x640';
var s_camreso_h264_20 = '320x320';
var s_camreso_h264_21 = '2560x1920';
var s_camreso_h264_22 = '4000x3000';
var s_camreso_h264_23 = '3840x2160';
var s_camreso_h264_24 = '2560x1440';
var s_camreso_h264_25 = '2192x2192';
var s_camreso_h264_26 = 'UXGA';
var s_camreso_h264_27 = '3072x2304';
var s_camreso_h264_28 = '3072x1728';

var s_camprio_H264_00 = '--';
var s_camprio_h264_01 = 'Bit rate';
var s_camprio_h264_02 = 'Frame rate';
var s_camprio_h264_03 = 'AdvancedVBR[alto]';
var s_camprio_h264_04 = 'AdvancedVBR[medio]';
var s_camprio_h264_05 = 'AdvancedVBR[basso]';
var s_camprio_h264_06 = 'CBR';

var s_camqual_h264_00 = '--';
var s_camqual_h264_01 = 'Fine (SF)';
var s_camqual_h264_02 = 'Normale (FQ)';
var s_camqual_h264_03 = 'Bassa (NQ)';

var s_compkind_jpeg = 'JPEG';

var s_cammodel_jpeg_01 = 'i-PRO SmartHD';
var s_cammodel_jpeg_02 = 'i-PRO SmartHD(FullHD)';
var s_cammodel_jpeg_03 = 'NP502/NW502S';
var s_cammodel_jpeg_04 = 'GXE500/GXE100';
var s_cammodel_jpeg_05 = 'NP304/NF302';
var s_cammodel_jpeg_06 = 'NP1000';
var s_cammodel_jpeg_07 = 'Altri prodotti i-PRO';
var s_cammodel_jpeg_08 = 'BB-HCM7**';
var s_cammodel_jpeg_09 = 'BB-HCM5**/3**/1**';
var s_cammodel_jpeg_10 = 'SF4**/SW4**';
var s_cammodel_jpeg_11 = 'S**63*/S**53*/S**13*';
var s_cammodel_jpeg_12 = 'S**61*/S**31*/S**11*';
var s_cammodel_jpeg_13 = 'SF*48*(4K)';
var s_cammodel_jpeg_14 = 'S**78*(4K)';
var s_cammodel_jpeg_15 = 'S6*3*/S2*3*/S1*3*/X6*3*';
var s_cammodel_jpeg_16 = 'S6*1*/S2*1*/S1*1*/X6*1*';
var s_cammodel_jpeg_17 = 'V2*3*/V1*3*';
var s_cammodel_jpeg_18 = 'V6*3*';
var s_cammodel_jpeg_19 = 'V1*7*';
var s_cammodel_jpeg_20 = 'S4*5*';
var s_cammodel_jpeg_21 = 'X4*7*';
var s_cammodel_jpeg_22 = 'S2*5*/S1*5*';
var s_cammodel_jpeg_23 = 'S3*3*';
var s_cammodel_jpeg_24 = 'S3*1*';

var s_camreso_jpeg_01 = s_camreso_h264_01;
var s_camreso_jpeg_02 = s_camreso_h264_02;
var s_camreso_jpeg_03 = s_camreso_h264_03;
var s_camreso_jpeg_04 = s_camreso_h264_04;
var s_camreso_jpeg_05 = s_camreso_h264_05;
var s_camreso_jpeg_06 = s_camreso_h264_06;
var s_camreso_jpeg_07 = s_camreso_h264_07;
var s_camreso_jpeg_08 = s_camreso_h264_08;
var s_camreso_jpeg_09 = s_camreso_h264_09;
var s_camreso_jpeg_10 = s_camreso_h264_10;
var s_camreso_jpeg_11 = s_camreso_h264_11;
var s_camreso_jpeg_12 = s_camreso_h264_12;
var s_camreso_jpeg_13 = s_camreso_h264_13;
var s_camreso_jpeg_14 = s_camreso_h264_14;
var s_camreso_jpeg_15 = s_camreso_h264_15;
var s_camreso_jpeg_16 = s_camreso_h264_16;
var s_camreso_jpeg_17 = s_camreso_h264_17;
var s_camreso_jpeg_18 = s_camreso_h264_18;
var s_camreso_jpeg_19 = s_camreso_h264_19;
var s_camreso_jpeg_20 = s_camreso_h264_20;
var s_camreso_jpeg_21 = s_camreso_h264_21;
var s_camreso_jpeg_22 = s_camreso_h264_22;
var s_camreso_jpeg_23 = s_camreso_h264_23;
var s_camreso_jpeg_24 = s_camreso_h264_24;
var s_camreso_jpeg_25 = s_camreso_h264_25;
var s_camreso_jpeg_26 = s_camreso_h264_26;
var s_camreso_jpeg_27 = s_camreso_h264_27;
var s_camreso_jpeg_28 = s_camreso_h264_28;

var s_camscan_jpeg_00 = s_camscan_h264_00;
var s_camscan_jpeg_01 = s_camscan_h264_01;
var s_camscan_jpeg_02 = s_camscan_h264_02;
var s_camscan_jpeg_03 = s_camscan_h264_03;
var s_camscan_jpeg_04 = 'Full scan';
var s_camscan_jpeg_05 = s_camscan_h264_04;
var s_camscan_jpeg_06 = s_camscan_h264_05;
var s_camscan_jpeg_07 = s_camscan_h264_09;
var s_camscan_jpeg_08 = s_camscan_h264_10;
var s_camscan_jpeg_09 = s_camscan_h264_11;
var s_camscan_jpeg_10 = s_camscan_h264_12;
var s_camscan_jpeg_11 = s_camscan_h264_13;
var s_camscan_jpeg_12 = s_camscan_h264_14;
var s_camscan_jpeg_13 = s_camscan_h264_15;
var s_camscan_jpeg_14 = s_camscan_h264_17;
var s_camscan_jpeg_15 = s_camscan_h264_18;
var s_camscan_jpeg_16 = s_camscan_h264_19;
var s_camscan_jpeg_17 = s_camscan_h264_20;
var s_camscan_jpeg_18 = s_camscan_h264_21;
var s_camscan_jpeg_19 = s_camscan_h264_22;
var s_camscan_jpeg_20 = s_camscan_h264_23;
var s_camscan_jpeg_21 = s_camscan_h264_24;
var s_camscan_jpeg_22 = s_camscan_h264_25;
var s_camscan_jpeg_23 = s_camscan_h264_26;
var s_camscan_jpeg_24 = s_camscan_h264_29;
var s_camscan_jpeg_25 = s_camscan_h264_30;

var s_camqual_jpeg_00 = '0';
var s_camqual_jpeg_01 = '1';
var s_camqual_jpeg_02 = '2';
var s_camqual_jpeg_03 = '3';
var s_camqual_jpeg_04 = '4';
var s_camqual_jpeg_05 = '5';
var s_camqual_jpeg_06 = '6';
var s_camqual_jpeg_07 = '7';
var s_camqual_jpeg_08 = '8';
var s_camqual_jpeg_09 = '9';
var s_camqual_jpeg_10 = 'Fine';
var s_camqual_jpeg_11 = 'Normale';
var s_camqual_jpeg_12 = 'Bassa';

var s_compkind_mpeg4 = 'MPEG-4';

var s_cammodel_mpeg4_01 = 'i-PRO SmartHD';
var s_cammodel_mpeg4_02 = 'NP502/NW502S';
var s_cammodel_mpeg4_03 = 'GXE500';
var s_cammodel_mpeg4_04 = 'NP304/NF302';
var s_cammodel_mpeg4_05 = 'NP1000';
var s_cammodel_mpeg4_06 = 'Altri prodotti i-PRO';
var s_cammodel_mpeg4_07 = 'BB-HCM7**';

var s_camscan_mpeg4_00 = s_camscan_h264_00;
var s_camscan_mpeg4_01 = s_camscan_h264_01;
var s_camscan_mpeg4_02 = s_camscan_h264_03;
var s_camscan_mpeg4_03 = s_camscan_jpeg_04;

var s_camreso_mpeg4_01 = s_camreso_h264_02;
var s_camreso_mpeg4_02 = s_camreso_h264_03;

var s_camprio_mpeg4_00 = s_camprio_H264_00;
var s_camprio_mpeg4_01 = s_camprio_h264_01;

var s_camqual_mpeg4_00 = s_camqual_h264_00;
var s_camqual_mpeg4_01 = s_camqual_h264_01;
var s_camqual_mpeg4_02 = s_camqual_h264_02;
var s_camqual_mpeg4_03 = s_camqual_h264_03;

var s_compkind_face = 'H.264<br />(Corrispondenza volto)';
var s_cammodel_face_01 = 'Vedere questo suggerimento';
var s_camreso_face_01 = s_camreso_h264_01;
var s_camqual_face_01 = 'SF';

var s_td_RecTime = 'Durata registrazione';
var s_txtTimeHour = 'Ore al giorno';
var s_txtDays = 'Giorni';

var s_td_HDDInfo = 'HDD';
var s_Lst_HDDCapa = 'Capacità';
var s_lst_RAID = 'RAID';
var sel_raid_str = new Array('Singolo', 'RAID1', 'RAID5', 'RAID6', 'Dual');
var sel_hdd_unit = 'TB';

var s_td_VMDAudio = 'VMD/Audio';
var s_ck_VMDInfo = 'Info. VMD';
var s_ck_Audio = ' Audio';
var STR_LABELNOTICE1 = ' * imposta tutte le telecamere';

var s_td_ResultTitle = 'Risultati';

var s_td_theoryValue = 'Risultato<br />teorico';
var s_td_theoryTotalBitRate = 'Bit rate totale (Mbps)';
var s_td_theoryCapasity = 'Capacità (TB)';

var OUTPUTNOTICE = 'PreDauzione riguardo ai risultati di questo calcolatore';

var s_td_NV300 = 'NV300';
var s_td_NV300_Name1 = 'WJ-NV300';
var s_td_NV300_Name2 = '';
var s_td_NV300_Name3 = '';
var s_td_NV300_Name4 = '';
var s_td_NVE30 = 'WJ-NVE30';

var s_td_ND400 = 'ND400';
var s_td_ND400_name = 'WJ-ND400';
var s_td_ND400_nameNorm = 'Modalità di risoluzione:Normale';
var s_td_ND400_nameSpec = 'Modalità di risoluzione:4K';
var s_td_HDE400_name = 'WJ-HDE400';

var s_td_HDDnum = 'HDD';
var s_td_ExtHDDnum = 'HDD';
var s_td_TotalCapa = 'Capacità (TB)';
var s_td_TotalElePower = 'Watt (W)';
var s_td_totalU = 'Altezza totale (U)';
var s_td_U = 'U';

var s_print_detail = 'Spuntare per mostrare il dettaglio';

var s_table_nv300_title = 'Configurazione NV300';
var s_table_nd400_title = 'Configurazione ND400';

var s_detail_MainUnit = 'Unità\nprincipale';
var s_detail_model = '';
var s_detail_license = '';
var s_detail_hde = 'Unità di estensione';
var s_detail_hdd = 'HDD';
var s_detail_exthdd = 'HDD';
var s_detail_camera = 'Numero totale<br />di  flussi';
var s_detail_items = 'Voci di flussi';
var s_detail_h264 = 'Telecamere<br />H.264';
var s_detail_jpeg = 'Telecamere<br />JPEG';
var s_detail_mpeg4 = 'Telecamere<br />MPEG-4';
var s_detail_face = 'Telecamera<br />corrispondenza volto';
var s_detail_cam1 = '[1]';
var s_detail_cam2 = '[2]';
var s_detail_cam3 = '[3]';
var s_detail_cam4 = '[4]';
var s_detail_360mic = 'Microfono di rete';

var s_detail_totalbitrate = 'Bit rate (Mbps)';
var s_detail_totaldata = 'Dimensione dati (TB)';
var s_detail_jpegtotalfps = 'Frame rate<br />per JPEG';

var s_print_label01 = 'Premere il pulsante sulla sinistra per ottenere il risultato in dati di testo. <br />' +
    'Copiare il testo nel proprio documento.';
var s_print_title = 'Conversione file di testo';

var s_switch_on = 'On';
var s_switch_off = 'Off';

var POPUP_CAMNUM = '<ul>' +
    '<li>Immettere il numero di flussi. Però, se si desidera registrare il<br>flusso multiplo da 360 gradi telecamera network o Network Video <br>Encoder,si prega di inserire il numero di registrazione stream / CH.</li><br>' +
    '(Esempio 1) VGA Quad flussi di 360 gradi telecamera network<br>Un solo la registrazione di streaming: immettere [1] <br>4 flusso di registrare tutti: immettere [4]<br><br>' +
    '(Esempio 2) Due modalità di 360 gradi telecamera network<br>Registrazione streaming fisheys: immettere [1]<br>(Specifiche del registratore, 4PTZ non è registrato)<br><br>' +
    '(Esempio 3) Network Video Encoder (GXE500)<br>CH1 solo registrazione: immettere [1]<br>CH1 - 4 per registrare tutte: immettere [4]<br><br>' +
    '<li>Per il campo che associa 360 microfono modello di rete di laurea (WV-SMR10), si prega di specificare la quantità come un insieme di videocamera e microfono. Questa calcolatrice conta quantitativo immesso come due dispositivi individuali (telecamera e microfono) automaticamente.</li>' +
    '</ul>';

var POPUP_MODEL = '<table border="1" cellspacing="0" class="tooltip_tbl_style">' +
    '<tr><td style="background-color: #acf">Numero del modello</td><td style="background-color: #acf">Nome della telecamera</td></tr>' +
    '<tr><td>S6*3*/S2*3*/S1*3*/X6*3*</td><td>WV-S6*3*, WV-S2*3*, WV-S1*3*, WV-X6*3*</td></tr>' +
    '<tr><td>S6*1*/S2*1*/S1*1*/X6*1*</td><td>WV-S6*1*, WV-S2*1*, WV-S1*1*, WV-X6*1*</td></tr>' +
    '<tr><td>S2*5*/S1*5*</td><td>WV-S2*5*, WV-S1*5*</td></tr>' +
    '<tr><td>S3*3*</td><td>WV-S3*3*</td></tr>' +
    '<tr><td>S3*1*</td><td>WV-S3*1*</td></tr>' +
    '<tr><td>X4*7*</td><td>WV-X4*7*</td></tr>' +
    '<tr><td>S4*5*</td><td>WV-S4*5*</td></tr>' +
    '<tr><td>V2*3*/V1*3*</td><td>WV-V2*3*, WV-V1*3*</td></tr>' +
    '<tr><td>V6*3*</td><td>WV-V6*3*</td></tr>' +
    '<tr><td>V1*7*</td><td>WV-V1*7*</td></tr>' +
    '<tr><td>S**78*(4K)</td><td>WV-SFV781L, WV-SPV781L</td></tr>' +
    '<tr><td>S**63*/S**53*/S**13*</td><td>WV-SUD638, WV-SF*631, WV-SP*631<br />WV-SP*531, WV-SFN53*, WV-SFV53*,  WV-SFR53*<br />WV-SPW53*, WV-SFN130, WV-SFV130</td></tr>' +
    '<tr><td>S**61*/S**31*/S**11*</td><td>WV-SFN611, WV-SFR611, WV-SFV611, WV-SPN611<br />WV-SPW611, WV-SFN31*, WV-SFR31*, WV-SFV31*<br />WV-SPN31*, WV-SPW31*, WV-SFN110, WV-SFV110</td></tr>' +
    '<tr><td>SF*48*(4K)</td><td>WV-SFN480, WV-SFV481 </td></tr>' +
    '<tr><td>SF*48*(4K)+SMR10</td><td>WV-SFN480+WV-SMR10,  WV-SFV481+WV-SMR10</td></tr>' +
    '<tr><td>SF4**/SW4**</td><td>WV-SF4**, WV-SW4**</td></tr>' +
    '<tr><td>SF4**/SW4**+SMR10</td><td>WV-SF4**+WV-SMR10, WV-SW4**+WV-SMR10</td></tr>' +
    '<tr><td>i-PRO SmartHD (FullHD)</td><td>WV-SC387, WV-SW397, WV-SP50*, WV-SC5**, WV-SW5**, WV-SF5**, WV-SF138, WV-SW158</td></tr>' +
    '<tr><td>i-PRO SmartHD</td><td>WV-SC3**, WV-SW3**, WV-SF3**, WV-SP3**, WV-SP1**, WV-SF1**, WV-SW1**, BB-ST1**, BB-SW1**</td></tr>' +
    '<tr><td>NP502/NW502S</td><td>WV-NP502, WV-NW502S</td></tr>' +
    '<tr><td>GXE500</td><td>WV-GXE500</td></tr>' +
    '<tr><td>GXE100</td><td>WV-GXE100</td></tr>' +
    '<tr><td>NP304/NF302</td><td>WV-NP304, WV-NF302</td></tr>' +
    '<tr><td>NP1000</td><td>WV-NP1000</td></tr>' +
    '<tr><td>Altri prodotti i-PRO</td><td>WV-NW960, WV-NS950, WV-NW484S, WV-NS202A, WV-NP244</td></tr>' +
    '<tr><td>BB-HCM7**</td><td>BB-HCM7**</td></tr>' +
    '<tr><td>BB-HCM5**/3**/1**</td><td>BB-HCM5**, BB-HCM3**, BB-HCM1**</td></tr>' +
    '</table>';

var POPUP_MODEL_H264VBR = '<table border="1" cellspacing="0" class="tooltip_tbl_style">' +
    '<tr><td style="background-color: #acf">Numero del modello</td><td style="background-color: #acf">Nome della telecamera</td></tr>' +
    '<tr><td>S**6**/5**/3**/1**</td><td>WV-SFN631, WV-SFV631, WV-SPN631, WV-SPW631<br />WV-SPN531,  WV-SFN53*, WV-SFV53*, WV-SFN130<br />WV-SFV130, WV-SFN611, WV-SFV611, WV-SPN611<br />WV-SPW61*, WV-SFN31*, WV-SFV311, WV-SPN31*<br />WV-SPW310, WV-SFN110, WV-SFV110</td></tr>' +
    '<tr><td>S** 7**(4K)</td><td>WV-SFV781L, WV-SPV781L</td></tr>' +
    '<tr><td>S** 4**(4K)</td><td>WV-SFN480, WV-SFV481 </td></tr>' +
    '</table>';

var POPUP_RESOLUTION = '<table border="1" cellspacing="0" class="tooltip_tbl_style">' +
    '<tr><td colspan="2" style="background-color: #acf">[4:3]</td><td colspan="2" style="background-color: #acf">[16:9]</td><td colspan="2" style="background-color: #acf">[1:1]</td></tr>' +
    '<tr><td>(12M)</td><td>4000x3000</td><td>-</td><td>-</td><td>-</td><td>-</td></tr>' +
    '<tr><td>-</td><td>-</td><td>(8M)</td><td>3840x2160</td><td>(9M)</td><td>2992x2992</td></tr>' +
    '<tr><td>(7M)</td><td>3072x2304</td><td>(5M)</td><td>3072x1728</td><td>-</td><td>-</td></tr>' +
    '<tr><td>(5M)</td><td>2560x1920</td><td>(4M)</td><td>2560x1440</td><td>(8M)</td><td>2816x2816</td></tr>' +
    '<tr><td>-</td><td>-</td><td>-</td><td>-</td><td>(5M)</td><td>2192x2192</td></tr>' +
    '<tr><td>QXGA</td><td>2048x1536</td><td>WQHD</td><td>2560x1440</td><td>(4M)</td><td>2048x2048</td></tr>' +
    '<tr><td>UXGA</td><td>1600x1200</td><td>FHD</td><td>1920x1080</td><td>-</td><td>-</td></tr>' +
    '<tr><td>SXVGA</td><td>1280x960</td><td>HD</td><td>1280x720</td><td>(1.6M)</td><td>1280x1280</td></tr>' +
    '<tr><td>SVGA</td><td>800x600</td><td>-</td><td>-</td><td>(0.4M)</td><td>640x640</td></tr>' +
    '<tr><td>VGA</td><td>640x480</td><td>HVGAW</td><td>640x360</td><td>-</td><td>-</td></tr>' +
    '<tr><td>-</td><td>400x300</td><td>-</td><td>-</td><td>-</td><td>-</td></tr>' +
    '<tr><td>QVGA</td><td>320x240</td><td>180P</td><td>320x180</td><td>-</td><td>320x320</td></tr>' +
    '<tr><td>QQVGA</td><td>160x120</td><td>-</td><td>160x90</td><td>-</td><td>-</td></tr>' +
    '</table>';

var POPUP_MODE = '<ul>' +
    '<li>DP:  Doppio panorama</li>' +
    '<li>P: Panorama</li>' +
    '<li>FE: Fisheye</li>' +
    '<li>4PTZ: PTZ 4 quadri, 1PTZ: PTZ schermata singola</li>' +
    '<br />' +
    '<li>VGA(4) : Quad stream VGA</li>' +
    '<li>due modalità : DP+4PTZ, DP+1PTZ,  P+4PTZ, P+1PTZ</li>' +
    '</ul>';

var POPUP_PRIORITY = 'Qualità contrassegnata con (*) non disponibile con NV300.';

var POPUP_RECFPS = 'Velocità di registrazione contrassegnata con (*) non disponibile con NV300.';

var POPUP_BITRATE = '<ul>' +
    '<li>Nella bit rate contrassegnati con (*), 2,048kbps è aggiunto separatamente per la registrazione vocale WV-SMR10.</li>' +
    '<li>Il numero di frame rate fps è la qualità dell\'immagine con l\'equivalente di FQ.</li>' +
    '<li>La perdita pacchetti con comunicazione wireless non è considerata.</li>' +
    '</ul>';

var POPUP_H264 = '<ul>' +
    '<li>Il frame rate di modalità priorità frame rate è un dato d’esempio. (Condizione : Velocità di rinfresco di 1 secondo, VMD attivato, ricezione audio)</li>' +
    '<li>Il frame rate di modalità priorità bit rate è un dato d’esempio. (Condizione : Velocità di rinfresco di 3 secondi, VMD disattivato, audio disattivato)</li>' +
    '<li>Bit rate di flusso da BB-HCM*** telecamere comprende non solo i dati delle immagini, ma anche alcuni dati di intestazione del protocollo di rete (supponendo incremento del 30% sui dati di immagine).</li>' +
    '</ul>';

var POPUP_JPEG = '<ul>' +
    '<li>Il bit rate dello stream JPEG stream include non solo i dati di immagine ma anche alcuni dati testata del protocollo di rete (si suppone un aumento del 15% sui dati di immagine). Tuttavia, i dati diversi dalle immagini non vengono registrati.</li>' +
    '<li>Il frame rate di BB-HCM5**/3**/1** è limitato a 5 fps.</li>' +
    '<li>Il bit rate di BB-HCM1** deve essere configurato nelle impostazioni della telecamera.</li>' +
    '</ul>';

var POPUP_MPEG4 = '<ul>' +
    '<li>Il bit rate dello stream dalle telecamere BB-HCM*** include non solo i dati di immagine ma anche alcuni dati testata del protocollo di rete (si suppone un aumento del 30% sui dati di immagine).</li>' +
    '</ul>';

var POPUP_FACE = 'La corrispondenza volto è disponibile con solo 1 canale dell’NV300. ' +
    'Sono necessari gli NV300 come numero di telecamere \'Corrispondenza volto\'.';
var POPUP_FACEMODEL = '<ul>' +
    '<li>SC385, SC384</li>' +
    '<li>SPN310, SPN311, NP502, SP508, SP509, SP305 e SP306 con obiettivo 8x</li>' +
    '</ul>';

var POPUP_HDDCAPA = 'Si prega di utilizzare il modello consigliato.';
var POPUP_ADVANCEDMODE = '- xxxxxxxx';
var POPUP_RAID_ARRAY = new Array('Singolo: [ND400, NV300]', 'RAID1: Mirror dati su altro disco [<b>NV300</b>]', 'RAID5: I387+F387:I3870 [<b>ND400</b>, <b>NV300</b>]', 'RAID6: <b>Due</b> dischi di parità sono necessari per ciascuna unità. [<b>ND400</b>, <b>NV300</b>]');
var POPUP_TBR = 'Si è mostrato come 1 Mbps = 1.024 kbps.';
var POPUP_RECORD_DAY_NOTICE = '《Esempio》<br />' +
    '&lt;Circostanza&gt;<br />' +
    'Compressione: H.264 / Risoluzione: SXVGA / Rating: 10 fps / Qualità: FQ<br />' +
    '<table border="1" cellspacing="0" class="tooltip_tbl_style">' +
    '<tr><td colspan="2" style="background-color: #acf">Numero del modello</td><td style="background-color: #acf">Bit rate consigliata</td></tr>' +
    '<tr><td rowspan="3" style="text-align: center;">High-end<br />↕<br />Standard</td>' +
    '<td>SFN631 (i-PRO SmartHD 6 series)</td><td>768 kbps</td></tr>' +
    '<tr><td>SP509 (i-PRO SmartHD [FullHD])</td><td>1,024 kbps</td></tr>' +
    '<tr><td>SP305 (i-PRO SmartHD)</td><td>1,536 kbps</td></tr>' +
    '</table><br />' +
    'Come nell\'esempio PreDedente, un po tariffa varia a seconda del tipo di modello.';

var NOTICERECTYPEINFO = 'Avvertenze <br />';
var ELECNOTICE = '- I Watt (W) sono calcolati solo per i registratori e le unità di estensione i-PRO. Gli altri componenti, come telecamere i-PRO, switch di rete, etc. <b>non</b> sono considerati nel calcolo dei Watt.';
var UNITSPACE = '- Lasciare uno spazio di 1 unità (44 mm) sopra e sotto l’unità per la ventilazione.';

var INFOMSGTIPS = 'TIPS';

var INFOMSGND400CON01 = '- Se tutte le telecamere impostate H.264, Il numero massimo di canali stream video, stream audio, informazioni VMD dell’ND400 è 96, altrimenti sono limitati a 72.';
var INFOMSGSMR10 = '- Calcolo per 360 gradi microfono di rete (WV-SMR10) dati vocali è gestito in modo indipendente da questa casella di controllo.';
var INFOMSGND400CON02 = '- Il bit rate MPEG-4 delle altre telecamere i-PRO è limitato a 15fps.';
var INFOMSG_EXPECTBBCAMVMD = '- Le informazioni VMD da BB-HCM***, BL-C** non possono essere registrate.';
var INFOMSG_EXPECTBBAUDIO = '- I dati audio da BB-HCM***(senza HCM7**), BL-C** non possono essere registrati.';
var CONFMSG_FIXRATE = 'Il numero di fps bit rate costante è il valore massimo, le fluttuazioni sarà maggiore rispetto al tasso di frame specificato.\n\n(Premendo \'OK\', non sarà più visualizzata questa finestra di dialogo.)';

var CAMNUMOVER = 'Il numero massimo di  flussi inseribili nel calcolatore è 1000.';

var s_tblheader_compkind_h264vbr = 'Tipo';
var s_tblheader_camnum_h264vbr = 'N.';
var s_tblheader_cammodel_h264vbr = 'Numero del modello';
var s_tblheader_reso_h264vbr = 'Risoluzione';
var s_tblheader_quality_h264vbr = 'Qualità';
var s_tblheader_fps_h264vbr = 'fps';
var s_tblheader_scene_h264vbr = 'condizione di installazione';
var s_tblheader_bitrate_h264vbr = 'Bitrate stimato';
var s_tblheader_bitrate_h264vbr_max = 'Max:<br>';
var s_tblheader_bitrate_h264vbr_avg = 'Media:<br>';

var s_h264vbr_note00 = '<ul>' +
    '<li>H.264 (VBR) - SmartCoding non può essere utilizzato quando si utilizza ND400.</li>' +
    '</ul>';
var s_h264vbr_note01 = '<ul>' +
    '<li>il valore bitrate effettivo di VBR può variare notevolmente a seconda del soggetto.<br>Si prega di selezionare i parametri che erano nell\'ambiente di installazione al fine di calcolare la corretta bitrate stimato,<br>e utilizzare con la comprensione che esiste un rischio di non soddisfare il risultato di stima dai cambiamenti nell\'ambiente.</li>' +
    '</ul>' +
    '<ul>' +
    '<li>Per riprodurre un filmato di riferimento, è necessario che l\'ambiente che è connesso a Internet.</li>' +
    '</ul>';

var s_popup_h264vbr_bitrate_01 = '<ul>' +
    '<li>Le impostazioni della fotocamera (Max bitrate per cliente), si prega impostati su un valore che più di valore massimo della bitrate stimato.</li>' +
    '</ul>';

var s_tbltitle_h264vbr = '▼ H.264(VBR)';

var s_compkind_h264vbr = 'H.264<br>(VBR)';

var s_cammodel_h264vbr_01 = 'S** 6**/5**/3**/1**';
var s_cammodel_h264vbr_02 = 'S** 7**(4K)';
var s_cammodel_h264vbr_03 = 'S** 4**(4K)';

var s_scene_location = 'luogo:';
var s_scene_location_Indoor_General = 'Indoor';
var s_scene_location_Indoor_BuildingEntrance = 'Indoor - Edificio d\'ingresso';
var s_scene_location_Indoor_Corridor = 'Indoor - Corridoio';
var s_scene_location_Indoor_ElevatorHall = 'Indoor - Ascensore Sala';
var s_scene_location_Outdoor_BuildingEntrance = 'Outdoor - Edificio d\'ingresso';
var s_scene_location_Outdoor_ServiceEntrance = 'Outdoor - Marciapiede';
var s_scene_location_Outdoor_ParkingEntrance = 'Outdoor - Parcheggio auto';
var s_scene_location_Outdoor_Intersection = 'Outdoor - Intersezione';
var s_scene_smartcoding = 'Smart Coding';
var s_scene_illum = 'illuminamento:';
var s_scene_illum_percent = '%';
var s_scene_illum_01 = 'Giorno(Luminosa):';
var s_scene_illum_02 = 'Notte(Buio):';
var s_scene_motion = 'Motion:';
var s_scene_motion_percent = '%';
var s_scene_movieplay = 'Video di riferimento';

var s_detail_h264vbr = 'Telecamere<br />H.264(VBR)';

var POPUP_h264vbr_scene = '<table border="1" cellspacing="0" class="tooltip_tbl_style"  style="text-align:left">' +
    '<tr><td colspan="4">Fra le seguenti opzioni, selezionare quello più vicino alle effettive condizioni di installazione.<br><br>[Dettaglio] Rappresenta una piccola area della trama.<br>[Motion] Esso rappresenta le dimensioni e la velocità dell\'oggetto.</td></tr>' +
    '<tr><td rowspan="5" style="background-color: #acf">S** 6**/5**/3**/1**</td><td>Indoor - Edificio d\'ingresso</td><td>[Dettaglio] pochi</td><td>[Motion] pochi</td></tr>' +
    '<tr><td>Indoor - Corridoio</td><td>[Dettaglio] ｐochissimi</td><td>[Motion] in mezzo</td></tr>' +
    '<tr><td>Outdoor - Edificio d\'ingresso</td><td>[Dettaglio] pochi</td><td>[Motion] pochi</td></tr>' +
    '<tr><td>Outdoor - Marciapiede</td><td>[Dettaglio] molti</td><td>[Motion] in mezzo</td></tr>' +
    '<tr><td>Outdoor - Parcheggio auto</td><td>[Dettaglio] in mezzo</td><td>[Motion] grande</td></tr>' +
    '<tr><td rowspan="2" style="background-color: #acf">S** 7**(4K)</td><td>Outdoor - Parcheggio auto</td><td>[Dettaglio] molti</td><td>[Motion] pochi</td></tr>' +
    '<tr><td>Outdoor - Intersezione</td><td>[Dettaglio] in mezzo</td><td>[Motion] in mezzo</td></tr>' +
    '<tr><td rowspan="1" style="background-color: #acf">S** 4**(4K)</td><td>Indoor</td><td>[Dettaglio] in mezzo</td><td>[Motion] in mezzo</td></tr>' +
    '</table>';

