
function NwdrSysInfo(
    nCamTotalNum,
    n360MicNum,
    nCamNumH264Vbr_1,
    nCamNumH264Vbr_2,
    nCamNumH264Vbr_3,
    nCamNumH264_1,
    nCamNumH264_2,
    nCamNumH264_3,
    nCamNumH264_4,
    nCamNumJpeg_1,
    nCamNumJpeg_2,
    nCamNumJpeg_3,
    nCamNumJpeg_4,
    nCamNumMpg4_1,
    nCamNumFace_1,
    lngHbrCamNum,
    sysRecDataTB,
    sysCalcMbps,
    sysDispMbps,
    sysTotalIps,
    extUnitNum,
    mainHddNum,
    intHDDq,
    sysLicNum,
    nwdrModelName,
    lngLastHDDCapa,
    pankflg) {
    this.nCamTotalNum = nCamTotalNum; 
    this.n360MicNum = n360MicNum; 
    this.nCamNumH264Vbr_1 = nCamNumH264Vbr_1; 
    this.nCamNumH264Vbr_2 = nCamNumH264Vbr_2; 
    this.nCamNumH264Vbr_3 = nCamNumH264Vbr_3; 
    this.nCamNumH264_1 = nCamNumH264_1; 
    this.nCamNumH264_2 = nCamNumH264_2; 
    this.nCamNumH264_3 = nCamNumH264_3; 
    this.nCamNumH264_4 = nCamNumH264_4; 
    this.nCamNumJpeg_1 = nCamNumJpeg_1; 
    this.nCamNumJpeg_2 = nCamNumJpeg_2; 
    this.nCamNumJpeg_3 = nCamNumJpeg_3; 
    this.nCamNumJpeg_4 = nCamNumJpeg_4; 
    this.nCamNumMpg4_1 = nCamNumMpg4_1; 
    this.nCamNumFace_1 = nCamNumFace_1; 
    this.lngHbrCamNum = lngHbrCamNum; 
    this.sysRecDataTB = sysRecDataTB; 
    this.sysCalcMbps = sysCalcMbps; 
    this.sysDispMbps = sysDispMbps; 
    this.sysTotalIps = sysTotalIps; 
    this.extUnitNum = extUnitNum; 
    this.mainHddNum = mainHddNum; 
    this.intHDDq = intHDDq; 
    this.sysLicNum = sysLicNum; 
    this.nwdrModelName = nwdrModelName; 
    this.lngLastHDDCapa = lngLastHDDCapa; 
    this.pankflg = pankflg; 
}

Array.prototype.clone = function() {
    return Array.apply(null, this);
};


function NWDRArrayInit(tmpRecNum) {
    gNwdrInfo.length = 0;
    for (var idx = 0; idx < tmpRecNum; idx++) {
        gNwdrInfo[idx] = new NwdrSysInfo(
            0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
            0, 0, 0, 0, 0, 0, 0);
    }
}

function CamSpecInfo(Mbps, typeCode, modelName) {
    this.Mbps = Mbps;
    this.typeCode = typeCode;
    this.modelName = modelName; 
}


function calcdata(nKeyCode) {
    g_strmsg = ''; 
    gTotalCamNum = 0; 
    gTotalMicNum = 0; 

    bND400_4kFirm = false; 

    gRecDay = Number(frmNWDR.txtRecDays.value);
    gRecHour = Number(frmNWDR.selRecHour.options[frmNWDR.selRecHour.selectedIndex].value);
    gSelHddUnitGB = Number(frmNWDR.sel_HDD.options[frmNWDR.sel_HDD.selectedIndex].value);
    gSelRaidMode = Number(frmNWDR.sel_RAID.options[frmNWDR.sel_RAID.selectedIndex].value);

    if (nKeyCode == 37 || nKeyCode == 39) {
        return;
    }

    if (gRecDay == 0) {
        uiAllResultGrayOut();
        return;
    }

    gCamModelNameUI[H264VBR_1] = Number(frmNWDR.selModelH264Vbr_1.selectedIndex); 
    gCamModelNameUI[H264VBR_2] = Number(frmNWDR.selModelH264Vbr_2.selectedIndex); 
    gCamModelNameUI[H264VBR_3] = Number(frmNWDR.selModelH264Vbr_3.selectedIndex); 
    gCamModelNameUI[H264_1] = Number(frmNWDR.selModelH264_1.selectedIndex); 
    gCamModelNameUI[H264_2] = Number(frmNWDR.selModelH264_2.selectedIndex); 
    gCamModelNameUI[H264_3] = Number(frmNWDR.selModelH264_3.selectedIndex); 
    gCamModelNameUI[H264_4] = Number(frmNWDR.selModelH264_4.selectedIndex); 
    gCamModelNameUI[JPEG_1] = Number(frmNWDR.selModelJpeg_1.selectedIndex); 
    gCamModelNameUI[JPEG_2] = Number(frmNWDR.selModelJpeg_2.selectedIndex); 
    gCamModelNameUI[JPEG_3] = Number(frmNWDR.selModelJpeg_3.selectedIndex); 
    gCamModelNameUI[JPEG_4] = Number(frmNWDR.selModelJpeg_4.selectedIndex); 
    gCamModelNameUI[MPG4_1] = Number(frmNWDR.selModelMpg4_1.selectedIndex); 
    gCamModelNameUI[H264FM] = 0; 

    gCamNumberUI[H264VBR_1] = Number(frmNWDR.txtCamNumH264Vbr_1.value); 
    gCamNumberUI[H264VBR_2] = Number(frmNWDR.txtCamNumH264Vbr_2.value); 
    gCamNumberUI[H264VBR_3] = Number(frmNWDR.txtCamNumH264Vbr_3.value); 
    gCamNumberUI[H264_1] = Number(frmNWDR.txtCamNumH264_1.value); 
    gCamNumberUI[H264_2] = Number(frmNWDR.txtCamNumH264_2.value); 
    gCamNumberUI[H264_3] = Number(frmNWDR.txtCamNumH264_3.value); 
    gCamNumberUI[H264_4] = Number(frmNWDR.txtCamNumH264_4.value); 
    gCamNumberUI[JPEG_1] = Number(frmNWDR.txtCamNumJpeg_1.value); 
    gCamNumberUI[JPEG_2] = Number(frmNWDR.txtCamNumJpeg_2.value); 
    gCamNumberUI[JPEG_3] = Number(frmNWDR.txtCamNumJpeg_3.value); 
    gCamNumberUI[JPEG_4] = Number(frmNWDR.txtCamNumJpeg_4.value); 
    gCamNumberUI[MPG4_1] = Number(frmNWDR.txtCamNumMpg4_1.value); 
    gCamNumberUI[H264FM] = Number(frmNWDR.txtCamNumFace_1.value); 

    for (var i = 0; i < CAM_TYPENUM_ALL; i++) { 
        if (gCamNumberUI[i] == '') { 
            gCamNumberUI[i] = 0;     
        }

        gTotalCamNum = gTotalCamNum + Number(gCamNumberUI[i]); 
        if (H264_1 <= i && i <= H264_4) {
            if (app_dst == 'ja') {
                if (camKind_H264_360SMR == (gCamModelNameUI[i] + 3) || camKind_H264_9MSMR == (gCamModelNameUI[i] + 3)) {
                    gTotalMicNum += Number(gCamNumberUI[i]);
                }
            } else {
                if (camKind_H264_360SMR == gCamModelNameUI[i] || camKind_H264_9MSMR == gCamModelNameUI[i]) {
                    gTotalMicNum += Number(gCamNumberUI[i]);
                }
            }
        }
    }
    if (gTotalCamNum == 0) {
        uiAllResultGrayOut();
        return;
    }
    if ((gTotalCamNum + gTotalMicNum) > 1000) {
        uiMsgDialogPopup(CAMNUMOVER, ALARTMSGMODE);
        uiAllResultGrayOut();
        return;
    }

    uiAllResultGrayOut();
    uiAllResultInit();

    gBitRateUI[H264VBR_1] = (isNaN(Number(frmNWDR.selAvgKbpsH264Vbr_1.value))) ? 0 : Number(frmNWDR.selAvgKbpsH264Vbr_1.value);
    gBitRateUI[H264VBR_2] = (isNaN(Number(frmNWDR.selAvgKbpsH264Vbr_2.value))) ? 0 : Number(frmNWDR.selAvgKbpsH264Vbr_2.value);
    gBitRateUI[H264VBR_3] = (isNaN(Number(frmNWDR.selAvgKbpsH264Vbr_3.value))) ? 0 : Number(frmNWDR.selAvgKbpsH264Vbr_3.value);
    gBitRateUI[H264_1] = Number(frmNWDR.selKbpsH264_1.value); 
    gBitRateUI[H264_2] = Number(frmNWDR.selKbpsH264_2.value); 
    gBitRateUI[H264_3] = Number(frmNWDR.selKbpsH264_3.value); 
    gBitRateUI[H264_4] = Number(frmNWDR.selKbpsH264_4.value); 
    gBitRateUI[MPG4_1] = Number(frmNWDR.selKbpsMpg4_1.value); 
    gBitRateUI[H264FM] = Number(frmNWDR.selKbpsFace_1.value); 

    var coefAVBR_1 = Number(frmNWDR.selPrioH264_1.value);
    var coefAVBR_2 = Number(frmNWDR.selPrioH264_2.value);
    var coefAVBR_3 = Number(frmNWDR.selPrioH264_3.value);
    var coefAVBR_4 = Number(frmNWDR.selPrioH264_4.value);

    coefAVBR_1 = ((coefAVBR_1) > 1 ? (6 - coefAVBR_1) : 1);
    coefAVBR_2 = ((coefAVBR_2) > 1 ? (6 - coefAVBR_2) : 1);
    coefAVBR_3 = ((coefAVBR_3) > 1 ? (6 - coefAVBR_3) : 1);
    coefAVBR_4 = ((coefAVBR_4) > 1 ? (6 - coefAVBR_4) : 1);

    var h264vbr_max_1 = (isNaN(Number(frmNWDR.selMaxKbpsH264Vbr_1.value))) ? 0 : Number(frmNWDR.selMaxKbpsH264Vbr_1.value);
    var h264vbr_max_2 = (isNaN(Number(frmNWDR.selMaxKbpsH264Vbr_2.value))) ? 0 : Number(frmNWDR.selMaxKbpsH264Vbr_2.value);
    var h264vbr_max_3 = (isNaN(Number(frmNWDR.selMaxKbpsH264Vbr_3.value))) ? 0 : Number(frmNWDR.selMaxKbpsH264Vbr_3.value);
    if (
        (0 < gCamNumberUI[H264VBR_1] && true == isNaN(gBitRateUI[H264VBR_1])) ||
        (0 < gCamNumberUI[H264VBR_2] && true == isNaN(gBitRateUI[H264VBR_2])) ||
        (0 < gCamNumberUI[H264VBR_3] && true == isNaN(gBitRateUI[H264VBR_3]))
    ) {
        uiAllResultGrayOut();
        return;
    }

    gDispMbps[H264VBR_1] = h264vbr_max_1 / 1024; 
    gDispVideoMbps[H264VBR_1] = gDispMbps[H264VBR_1];
    gDispMbps[H264VBR_2] = h264vbr_max_2 / 1024; 
    gDispVideoMbps[H264VBR_2] = gDispMbps[H264VBR_2];
    gDispMbps[H264VBR_3] = h264vbr_max_3 / 1024; 
    gDispVideoMbps[H264VBR_3] = gDispMbps[H264VBR_3];
    gDispMbps[H264_1] = gBitRateUI[H264_1] * coefAVBR_1 / 1024; 
    gDispVideoMbps[H264_1] = gDispMbps[H264_1];
    gDispMbps[H264_2] = gBitRateUI[H264_2] * coefAVBR_2 / 1024; 
    gDispVideoMbps[H264_2] = gDispMbps[H264_2];
    gDispMbps[H264_3] = gBitRateUI[H264_3] * coefAVBR_3 / 1024; 
    gDispVideoMbps[H264_3] = gDispMbps[H264_3];
    gDispMbps[H264_4] = gBitRateUI[H264_4] * coefAVBR_4 / 1024; 
    gDispVideoMbps[H264_4] = gDispMbps[H264_4];
    gDispMbps[JPEG_1] = gDispBandJpegMbps[0];    
    gDispVideoMbps[JPEG_1] = gDispMbps[JPEG_1];
    gDispMbps[JPEG_2] = gDispBandJpegMbps[1];    
    gDispVideoMbps[JPEG_2] = gDispMbps[JPEG_2];
    gDispMbps[JPEG_3] = gDispBandJpegMbps[2];    
    gDispVideoMbps[JPEG_3] = gDispMbps[JPEG_3];
    gDispMbps[JPEG_4] = gDispBandJpegMbps[3];    
    gDispVideoMbps[JPEG_4] = gDispMbps[JPEG_4];
    gDispMbps[MPG4_1] = gBitRateUI[MPG4_1] / 1024; 
    gDispVideoMbps[MPG4_1] = gDispMbps[MPG4_1];
    gDispMbps[H264FM] = gBitRateUI[H264FM] / 1024; 
    gDispVideoMbps[H264FM] = gDispMbps[H264FM];

    gCalcMbps[H264VBR_1] = gBitRateUI[H264VBR_1] / 1000; 
    gCalcMbps[H264VBR_2] = gBitRateUI[H264VBR_2] / 1000; 
    gCalcMbps[H264VBR_3] = gBitRateUI[H264VBR_3] / 1000; 
    gCalcMbps[H264_1] = gBitRateUI[H264_1] / 1000; 
    gCalcMbps[H264_2] = gBitRateUI[H264_2] / 1000; 
    gCalcMbps[H264_3] = gBitRateUI[H264_3] / 1000; 
    gCalcMbps[H264_4] = gBitRateUI[H264_4] / 1000; 
    gCalcMbps[JPEG_1] = gCalcBandJpegMbps[0];       
    gCalcMbps[JPEG_2] = gCalcBandJpegMbps[1];       
    gCalcMbps[JPEG_3] = gCalcBandJpegMbps[2];       
    gCalcMbps[JPEG_4] = gCalcBandJpegMbps[3];       
    gCalcMbps[MPG4_1] = gBitRateUI[MPG4_1] / 1000; 
    gCalcMbps[H264FM] = gBitRateUI[H264FM] / 1000; 

    gCalcJpegMbps[0] = gCalcRecJpegMbps[0]; 
    gCalcJpegMbps[1] = gCalcRecJpegMbps[1]; 
    gCalcJpegMbps[2] = gCalcRecJpegMbps[2]; 
    gCalcJpegMbps[3] = gCalcRecJpegMbps[3]; 

    gVideoMbps[H264VBR_1] = h264vbr_max_1 / 1000; 
    gVideoMbps[H264VBR_2] = h264vbr_max_2 / 1000; 
    gVideoMbps[H264VBR_3] = h264vbr_max_3 / 1000; 
    gVideoMbps[H264_1] = gCalcMbps[H264_1] * coefAVBR_1; 
    gVideoMbps[H264_2] = gCalcMbps[H264_2] * coefAVBR_2; 
    gVideoMbps[H264_3] = gCalcMbps[H264_3] * coefAVBR_3; 
    gVideoMbps[H264_4] = gCalcMbps[H264_4] * coefAVBR_4; 
    gVideoMbps[JPEG_1] = gCalcJpegMbps[0]; 
    gVideoMbps[JPEG_2] = gCalcJpegMbps[1]; 
    gVideoMbps[JPEG_3] = gCalcJpegMbps[2]; 
    gVideoMbps[JPEG_4] = gCalcJpegMbps[3]; 
    gVideoMbps[MPG4_1] = gCalcMbps[MPG4_1]; 
    gVideoMbps[H264FM] = gCalcMbps[H264FM]; 

    gJpegIps[H264VBR_1] = 0; 
    gJpegIps[H264VBR_2] = 0; 
    gJpegIps[H264VBR_3] = 0; 
    gJpegIps[H264_1] = 0; 
    gJpegIps[H264_2] = 0; 
    gJpegIps[H264_3] = 0; 
    gJpegIps[H264_4] = 0; 
    gJpegIps[JPEG_1] = Number(frmNWDR.selFpsJpeg_1.value); 
    gJpegIps[JPEG_2] = Number(frmNWDR.selFpsJpeg_2.value); 
    gJpegIps[JPEG_3] = Number(frmNWDR.selFpsJpeg_3.value); 
    gJpegIps[JPEG_4] = Number(frmNWDR.selFpsJpeg_4.value); 
    gJpegIps[MPG4_1] = 0; 
    gJpegIps[H264FM] = 0; 

    var intcheck = 1;

    if (frmNWDR.chkvmd.checked == true) {
        AddVmdBitrate(); 
        intcheck++; 
        g_DynaConnect[nNwdrNV300] = defCamNumMax[nNwdrNV300]; 
    }

    Add360MicAudioBitrate();

    if (frmNWDR.chkaudio.checked == true) {
        AddAudioBitrate(); 
        intcheck++; 
        g_DynaConnect[nNwdrNV300] = defCamNumMax[nNwdrNV300]; 
    }

    if (intcheck > 1) { 
        if (((gCamNumberUI[H264_1] != 0) || (gCamNumberUI[H264_2] != 0) || (gCamNumberUI[H264_3] != 0) || (gCamNumberUI[H264_4] != 0) || 
            (gCamNumberUI[H264VBR_1] != 0) || (gCamNumberUI[H264VBR_2] != 0) || (gCamNumberUI[H264VBR_3] != 0)) && 
                (gCamNumberUI[JPEG_1] == 0) && (gCamNumberUI[JPEG_2] == 0) && (gCamNumberUI[JPEG_3] == 0) && (gCamNumberUI[JPEG_4] == 0) && 
                (gCamNumberUI[MPG4_1] == 0) && (gCamNumberUI[H264FM] == 0)) { 
            g_DynaConnect[nNwdrND400] = defMaxConAddInfoAdv[nNwdrND400] / intcheck;
        } else {
            g_DynaConnect[nNwdrND400] = defMaxConAddInfo[nNwdrND400] / intcheck;
        }
    } else { 
        g_DynaConnect[nNwdrND400] = defCamNumMax[nNwdrND400];
        g_DynaConnect[nNwdrNV300] = defCamNumMax[nNwdrNV300];
    }
    g_DynaConnect[nNwdrND400] = Math.floor(g_DynaConnect[nNwdrND400]);

    var totalDispMbps = 0;
    for (var idx = 0; idx < CAM_TYPENUM_ALL; idx++) {
        totalDispMbps += (gCamNumberUI[idx] * gDispMbps[idx]);
    }

    frmNWDR.txttotalbit.value = NumberToFixed(totalDispMbps, 3);

    gCalcMbps[JPEG_1] = gCalcJpegMbps[0]; 
    gCalcMbps[JPEG_2] = gCalcJpegMbps[1]; 
    gCalcMbps[JPEG_3] = gCalcJpegMbps[2]; 
    gCalcMbps[JPEG_4] = gCalcJpegMbps[3]; 

    gCamModelParamInfo.length = 0;
    for (var idx = 0; idx < CAM_TYPENUM_ALL; idx++) {
        var each_size =
            ((gCalcMbps[idx] / 8) * 60 * 60 * (gRecHour * gRecDay)) / 1000 / 1000;

        gCamModelParamInfo.push({
            'camType': [idx],
            'camNum': gCamNumberUI[idx],
            'camCalcBR': gCalcMbps[idx],
            'camJpgIps': gJpegIps[idx],
            'camRecTB': GetMarumCapa2(each_size),
            'camDispBR': gDispMbps[idx],
            'camModel': gCamModelNameUI[idx],
            'camDispVBR': gDispVideoMbps[idx]
        });
    }

    var totalCalcMbps = 0; 
    for (var idx = 0; idx < CAM_TYPENUM_ALL; idx++) {
        totalCalcMbps += (gCamNumberUI[idx] * gCalcMbps[idx]); 
    }

    var totalRecDataTB =
        ((totalCalcMbps / 8) * 60 * 60 * (gRecHour * gRecDay)) / 1000 / 1000;

    frmNWDR.txttotalcap.value = GetMarumCapa(totalRecDataTB);

    SetDisplayResultFlag_InputParam();

    if (1 == g_DsplayResultFlag[nNwdrND400]) {
        var chLimOK = true;
        for (var idx = 0; idx < CAM_TYPENUM_ALL; idx++)
        {
          if (0 < gCamNumberUI[idx] && (ND400_LIM_MBPS < gDispVideoMbps[idx]))
          {
              chLimOK = false;
              break;
          }
        }

        var buf = -1;
        if (chLimOK)
        {
            buf = basicNwdrCalc(nNwdrND400);
        }
        if (buf < 0) {
            dataND400out(); 
        } else {
            ND400_output(nNwdrND400);
            if (frmNWDR.chkdetail.checked == true) {
                DetailOutput(gNwdrInfo, nNwdrND400, '');
            }
        }
    }

    if (1 == g_DsplayResultFlag[nNwdrNV300]) {
        var chLimOK = true;
        for (var idx = 0; idx < CAM_TYPENUM_ALL; idx++)
        {
          if (0 < gCamNumberUI[idx] && (NV300_LIM_MBPS < gDispVideoMbps[idx]))
          {
              chLimOK = false;
              break;
          }
        }
        if (chLimOK)
        {
            if (isJpMirror()) { 
                nv300CalcJP();
                nv300_lowprice = nv300SysCost[lp];
                NV300_output(nNwdrNV300);
                if (frmNWDR.chkdetail.checked == true) {
                    DetailOutput(gNwdrInfo, nNwdrNV300, '');
                }
            } else { 
                var buf = basicNwdrCalc(nNwdrNV300);
                if (buf < 0) {
                    dataNV300out(); 
                } else {
                    NV300_output(nNwdrNV300);

                    if (frmNWDR.chkdetail.checked == true) {
                        DetailOutput(gNwdrInfo, nNwdrNV300, '');
                    }
                }
            }
        }
        else
        {
            dataNV300out(); 
        }
    }
    frmNWDR.txttotalbit.value = Number(frmNWDR.txttotalbit.value).toLocaleString();
    frmNWDR.txttotalcap.value = Number(frmNWDR.txttotalcap.value).toLocaleString();
}

function SetDisplayResultFlag_InputParam() {
    g_DsplayResultFlag[nNwdrND400] = 1;
    g_DsplayResultFlag[nNwdrNV300] = ('zh' == app_dst ? 0 : 1); 

    var kindidx = 0;
    var minidx = 0;
    var maxidx = CAM_TYPENUM_H264;
    for (; kindidx < maxidx; kindidx++) {
        var objParts = new Array();
        uiGetH264Object((kindidx - minidx + 1).toString(), objParts);

        if (app_dst == 'ja' && objParts[0].selectedIndex > (H265Num_h264 - 1)) {
            var tblBitrate =
                camBitrate_H264[
                    objParts[0].selectedIndex + 3][ 
                    objParts[2].selectedIndex][     
                    objParts[3].selectedIndex][     
                    objParts[1].selectedIndex][     
                    objParts[4].selectedIndex][     
                    objParts[5].selectedIndex + 1]; 
        } else {
            var tblBitrate =
                camBitrate_H264[
                    objParts[0].selectedIndex][     
                    objParts[2].selectedIndex][     
                    objParts[3].selectedIndex][     
                    objParts[1].selectedIndex][     
                    objParts[4].selectedIndex][     
                    objParts[5].selectedIndex + 1]; 

        }

        if (0 < gCamNumberUI[kindidx]) {
            g_DsplayResultFlag[nNwdrND400] &= tblBitrate[4];  
            g_DsplayResultFlag[nNwdrNV300] &= tblBitrate[7];  
        }
    }

    minidx = maxidx;
    maxidx += CAM_TYPENUM_JPEG;
    for (; kindidx < maxidx; kindidx++) {
        var objParts = new Array();
        uiGetJpegObject((kindidx - minidx + 1).toString(), objParts);

        if (app_dst == 'ja' && objParts[0].selectedIndex > (H265Num_jpeg - 1)) {
            var tblQuality =
                camQuality_Jpeg[
                    objParts[0].selectedIndex + 3][
                    objParts[2].selectedIndex][
                    objParts[1].selectedIndex][
                    objParts[3].selectedIndex + 1];
        } else {
            var model = Number(objParts[0].options[objParts[0].selectedIndex].value);
            if (model == camKind_H264_V23 || model == camKind_H264_V63 ||
                model == camKind_H264_V17) {
                var reso = objParts[1].selectedIndex * 7;
                switch (Number(objParts[4].options[objParts[4].selectedIndex].value)) {
                case 2:
                    reso = reso + 1;
                    break;
                case 3:
                    reso = reso + 2;
                    break;
                case 5:
                    reso = reso + 3;
                    break;
                case 10:
                    reso = reso + 4;
                    break;
                case 15:
                    reso = reso + 5;
                    break;
                case 30:
                    reso = reso + 6;
                    break;
                default:
                    reso = reso;
                    break;
                }
                var tblQuality =
                    camQuality_Jpeg[
                        objParts[0].selectedIndex][
                        objParts[2].selectedIndex][
                        reso][
                        objParts[3].selectedIndex + 1];
            } else {
                var tblQuality =
                    camQuality_Jpeg[
                        objParts[0].selectedIndex][
                        objParts[2].selectedIndex][
                        objParts[1].selectedIndex][
                        objParts[3].selectedIndex + 1];
            }
        }

        if (0 < gCamNumberUI[kindidx]) {
            g_DsplayResultFlag[nNwdrND400] &= tblQuality[4];  

            var recfps = Number(
                objParts[4].options[objParts[4].selectedIndex].value);
            var recfps_text =
                objParts[4].options[objParts[4].selectedIndex].text;

            g_DsplayResultFlag[nNwdrNV300] &= tblQuality[7];  
            if (0 <= recfps_text.indexOf(s_mark_notice)) {
                g_DsplayResultFlag[nNwdrNV300] = 0;
            }
        }
    }

    minidx = maxidx;
    maxidx += CAM_TYPENUM_MPG4;
    for (; kindidx < maxidx; kindidx++) {
        var objParts = new Array();
        uiGetMpeg4Object((kindidx - minidx + 1).toString(), objParts);

        var tblBitrate =
            camBitrate_Mpeg4[
                objParts[0].selectedIndex][     
                objParts[2].selectedIndex][     
                objParts[3].selectedIndex][     
                objParts[1].selectedIndex][     
                objParts[4].selectedIndex][     
                objParts[5].selectedIndex + 1]; 

        if (0 < gCamNumberUI[kindidx]) {
            g_DsplayResultFlag[nNwdrND400] &= tblBitrate[4];  
            g_DsplayResultFlag[nNwdrNV300] = 0;               
        }
    }

    maxidx += CAM_TYPENUM_FACE;
    if (0 < gCamNumberUI[kindidx]) {
        g_DsplayResultFlag[nNwdrND400] = 0;
    }
    kindidx += CAM_TYPENUM_FACE;

    minidx = maxidx;
    maxidx += CAM_TYPENUM_H264VBR;
    for (; kindidx < maxidx; kindidx++) {
        var objParts = new Array();

        var no = (kindidx - minidx + 1).toString();
        uiGetH264VbrObject(no, objParts);

        var model = objParts[uiIndexModelH264Vbr].selectedIndex;
        var reso = Number(objParts[uiIndexResoH264Vbr].options[objParts[uiIndexResoH264Vbr].selectedIndex].value);
        var fps = fpsInfo_H264Vbr[model][1 + Number(objParts[uiIndexFpsH264Vbr].options[objParts[uiIndexFpsH264Vbr].selectedIndex].value)];

        if (0 < gCamNumberUI[kindidx]) {
            var nd400ResoFlag = resoInfo_H264Vbr[camInfo_H264Vbr[model][1][reso + 1]][model * 2 + resoRecH264Vbr_ND400];
            if (1 >= nd400ResoFlag) {
                g_DsplayResultFlag[nNwdrND400] &= nd400ResoFlag;
            }
            else if (nd400ResoFlag < fps) {
                g_DsplayResultFlag[nNwdrND400] &= 0;
            }
            else {
                g_DsplayResultFlag[nNwdrND400] &= 1;
            }

            var nv300ResoFlag = resoInfo_H264Vbr[camInfo_H264Vbr[model][1][reso + 1]][model * 2 + resoRecH264Vbr_NV300];
            if (1 >= nv300ResoFlag) {
                g_DsplayResultFlag[nNwdrNV300] &= nv300ResoFlag;
            }
            else if (nv300ResoFlag < fps) {
                g_DsplayResultFlag[nNwdrNV300] &= 0;
            }
            else {
                g_DsplayResultFlag[nNwdrNV300] &= 1;
            }
        }
    }

    switch (gSelHddUnitGB) {
        case 500:
        case 1500:
            g_DsplayResultFlag[nNwdrNV300] = 0; 
            break;

        case 1000:
        case 2000:
        case 3000:
        case 4000:
        case 5000:
        case 6000:
            break;

        default: 
            g_DsplayResultFlag[nNwdrND400] = 0;
            g_DsplayResultFlag[nNwdrNV300] = 0;
            break;
    }

    switch (gSelRaidMode) {
        case 0: 
        case 5 : 
        case 6 : 
            break; 

        case 1 : 
            g_DsplayResultFlag[nNwdrND400] = 0; 
            break;

        default: 
            g_DsplayResultFlag[nNwdrND400] = 0;
            g_DsplayResultFlag[nNwdrNV300] = 0;
            break;
    }

    if (gCamNumberUI[H264VBR_1] > 0) {
        if (frmNWDR.selSceneSmartCodingH264Vbr_1.checked) {
            g_DsplayResultFlag[nNwdrND400] = 0;
        }
    }
    if (gCamNumberUI[H264VBR_2] > 0) {
        if (frmNWDR.selSceneSmartCodingH264Vbr_2.checked) {
            g_DsplayResultFlag[nNwdrND400] = 0;
        }
    }
    if (gCamNumberUI[H264VBR_3] > 0) {
        if (frmNWDR.selSceneSmartCodingH264Vbr_3.checked) {
            g_DsplayResultFlag[nNwdrND400] = 0;
        }
    }

    if (true == frmNWDR.chkvmd.checked) {
        SetDsplayResultByCamVmd();
    }

    if (true == frmNWDR.chkaudio.checked) {
        SetDsplayResultByCamAudio();
    }

    for (var idx = 0; idx < g_DynaConnect.length; idx++) {
        if (0 == g_DynaConnect[idx]) {
            g_DsplayResultFlag[idx] = 0;
        }
    }
}

function SetDsplayResultByCamVmd() {

    var kindidx = 0;
    var maxidx = CAM_TYPENUM_H264;
    for (; kindidx < maxidx; kindidx++) {
        if (0 < gCamNumberUI[kindidx]) {
            if (app_dst == 'ja') {
                if (camKind_H264_Hcm7 == (gCamModelNameUI[kindidx] + 3)) {
                    g_DsplayResultFlag[nNwdrND400] = 0;
                    g_DsplayResultFlag[nNwdrNV300] = 0;
                }
            } else {
                if (camKind_H264_Hcm7 == gCamModelNameUI[kindidx]) {
                    g_DsplayResultFlag[nNwdrND400] = 0;
                    g_DsplayResultFlag[nNwdrNV300] = 0;
                }
            }
        }
    }

    maxidx += CAM_TYPENUM_JPEG;
    for (; kindidx < maxidx; kindidx++) {
        if (0 < gCamNumberUI[kindidx]) {
            if (app_dst == 'ja') {
                if (camKind_Jpeg_Hcm7 == (gCamModelNameUI[kindidx] + 3) || camKind_Jpeg_Hcm5 == (gCamModelNameUI[kindidx] + 3)) {
                    g_DsplayResultFlag[nNwdrND400] = 0;
                    g_DsplayResultFlag[nNwdrNV300] = 0;
                }
            } else {
                if (camKind_Jpeg_Hcm7 == gCamModelNameUI[kindidx] || camKind_Jpeg_Hcm5 == gCamModelNameUI[kindidx]) {
                    g_DsplayResultFlag[nNwdrND400] = 0;
                    g_DsplayResultFlag[nNwdrNV300] = 0;
                }
            }
        }
    }

    maxidx += CAM_TYPENUM_MPG4;
    for (; kindidx < maxidx; kindidx++) {
        if (0 < gCamNumberUI[kindidx]) {
            if (camKind_Mpeg4_Hcm7 == gCamModelNameUI[kindidx]) {
                g_DsplayResultFlag[nNwdrND400] = 0;
                g_DsplayResultFlag[nNwdrNV300] = 0;
            }
        }
    }

    maxidx += CAM_TYPENUM_FACE;

    maxidx += CAM_TYPENUM_H264VBR;
}


function AddVmdBitrate() {
    var kindidx = 0;
    var minidx = 0;
    var maxidx = CAM_TYPENUM_H264;
    for (; kindidx < maxidx; kindidx++) {
        if (app_dst == 'ja') {
            if (camKind_H264_Hcm7 != (gCamModelNameUI[kindidx] + 3)) {
                gCalcMbps[kindidx] += Number(CALC_VMDINFO); 
                gDispMbps[kindidx] += Number(DISP_VMDINFO); 
            }
        } else {
            if (camKind_H264_Hcm7 != gCamModelNameUI[kindidx]) {
                gCalcMbps[kindidx] += Number(CALC_VMDINFO); 
                gDispMbps[kindidx] += Number(DISP_VMDINFO); 
            }
        }
    }

    minidx = maxidx;
    maxidx += CAM_TYPENUM_JPEG;
    for (; kindidx < maxidx; kindidx++) {
        if (app_dst == 'ja') {
            if (camKind_Jpeg_Hcm7 != (gCamModelNameUI[kindidx] + 3) && camKind_Jpeg_Hcm5 != (gCamModelNameUI[kindidx] + 3)) {
                gCalcMbps[kindidx] += Number(CALC_VMDINFO);
                gCalcJpegMbps[kindidx - minidx] += Number(CALC_VMDINFO);
                gDispMbps[kindidx] += Number(DISP_VMDINFO);
            }
        } else {
            if (camKind_Jpeg_Hcm7 != gCamModelNameUI[kindidx] && camKind_Jpeg_Hcm5 != gCamModelNameUI[kindidx]) {
                gCalcMbps[kindidx] += Number(CALC_VMDINFO);
                gCalcJpegMbps[kindidx - minidx] += Number(CALC_VMDINFO);
                gDispMbps[kindidx] += Number(DISP_VMDINFO);
            }
        }
    }

    minidx = maxidx;
    maxidx += CAM_TYPENUM_MPG4;
    for (; kindidx < maxidx; kindidx++) {
        if (camKind_Mpeg4_Hcm7 != gCamModelNameUI[kindidx]) {
            gCalcMbps[kindidx] += Number(CALC_VMDINFO); 
            gDispMbps[kindidx] += Number(DISP_VMDINFO); 
        }
    }

    minidx = maxidx;
    maxidx += CAM_TYPENUM_FACE;
    for (; kindidx < maxidx; kindidx++) {
        gCalcMbps[kindidx] += Number(CALC_VMDINFO); 
        gDispMbps[kindidx] += Number(DISP_VMDINFO); 
    }

    minidx = maxidx;
    maxidx += CAM_TYPENUM_H264VBR;
    for (; kindidx < maxidx; kindidx++) {
        gCalcMbps[kindidx] += Number(CALC_VMDINFO); 
        gDispMbps[kindidx] += Number(DISP_VMDINFO); 
    }
}

function SetDsplayResultByCamAudio() {
    var kindidx = 0;
    var maxidx = CAM_TYPENUM_H264;
    for (; kindidx < maxidx; kindidx++) {
    }

    maxidx += CAM_TYPENUM_JPEG;
    for (; kindidx < maxidx; kindidx++) {
        if (0 < gCamNumberUI[kindidx]) {
            if (app_dst == 'ja') {
                if (camKind_Jpeg_Hcm5 == (gCamModelNameUI[kindidx] + 3)) {
                    g_DsplayResultFlag[nNwdrND400] = 0;
                    g_DsplayResultFlag[nNwdrNV300] = 0;
                }
            } else {
                if (camKind_Jpeg_Hcm5 == gCamModelNameUI[kindidx]) {
                    g_DsplayResultFlag[nNwdrND400] = 0;
                    g_DsplayResultFlag[nNwdrNV300] = 0;
                }
            }
        }
    }

    maxidx += CAM_TYPENUM_MPG4;
    for (; kindidx < maxidx; kindidx++) {
    }

    maxidx += CAM_TYPENUM_FACE;

    maxidx += CAM_TYPENUM_H264VBR;
}

function Add360MicAudioBitrate() {
    var kindidx = 0;
    var maxidx = CAM_TYPENUM_H264;
    for (var kindidx = 0; kindidx < CAM_TYPENUM_H264; kindidx++) {
        if (app_dst == 'ja') {
            if (camKind_H264_360SMR == (gCamModelNameUI[kindidx] + 3) || camKind_H264_9MSMR == (gCamModelNameUI[kindidx] + 3)) { 
                gCalcMbps[kindidx] += Number(CALC_AUDIO_360);
                gDispMbps[kindidx] += Number(DISP_AUDIO_360);
                gVideoMbps[kindidx] += Number(DISP_AUDIO_360); 
            }
        } else {
            if (camKind_H264_360SMR == gCamModelNameUI[kindidx] || camKind_H264_9MSMR == gCamModelNameUI[kindidx]) { 
                gCalcMbps[kindidx] += Number(CALC_AUDIO_360);
                gDispMbps[kindidx] += Number(DISP_AUDIO_360);
                gVideoMbps[kindidx] += Number(DISP_AUDIO_360); 
            }
        }
    }
}

function AddAudioBitrate() {
    var kindidx = 0;
    var minidx = 0;
    var maxidx = CAM_TYPENUM_H264;
    for (; kindidx < maxidx; kindidx++) {
        if (app_dst == 'ja') {
            if (camKind_H264_360SMR != (gCamModelNameUI[kindidx] + 3) || camKind_H264_9MSMR != (gCamModelNameUI[kindidx] + 3)) { 
                gCalcMbps[kindidx] += Number(CALC_AUDIO) + Number(AUDIOADDDATA);
                gDispMbps[kindidx] += Number(DISP_AUDIO);
            }
        } else {
            if (camKind_H264_360SMR != gCamModelNameUI[kindidx] || camKind_H264_9MSMR != gCamModelNameUI[kindidx]) { 
                gCalcMbps[kindidx] += Number(CALC_AUDIO) + Number(AUDIOADDDATA);
                gDispMbps[kindidx] += Number(DISP_AUDIO);
            }
        }
    }

    minidx = maxidx;
    maxidx += CAM_TYPENUM_JPEG;
    for (; kindidx < maxidx; kindidx++) {
        if (app_dst == 'ja') {
            if (camKind_Jpeg_Hcm5 != (gCamModelNameUI[kindidx] + 3)) {
                gCalcMbps[kindidx] += Number(CALC_AUDIO) + Number(AUDIOADDDATA);
                gCalcJpegMbps[kindidx - minidx] +=
                    Number(CALC_AUDIO) + Number(AUDIOADDDATA);
                gDispMbps[kindidx] += Number(DISP_AUDIO);
            }
        } else {
            if (camKind_Jpeg_Hcm5 != gCamModelNameUI[kindidx]) {
                gCalcMbps[kindidx] += Number(CALC_AUDIO) + Number(AUDIOADDDATA);
                gCalcJpegMbps[kindidx - minidx] +=
                    Number(CALC_AUDIO) + Number(AUDIOADDDATA);
                gDispMbps[kindidx] += Number(DISP_AUDIO);
            }
        }
    }

    minidx = maxidx;
    maxidx += CAM_TYPENUM_MPG4;
    for (; kindidx < maxidx; kindidx++) {
        gCalcMbps[kindidx] += Number(CALC_AUDIO) + Number(AUDIOADDDATA);
        gDispMbps[kindidx] += Number(DISP_AUDIO);
    }

    minidx = maxidx;
    maxidx += CAM_TYPENUM_FACE;
    for (; kindidx < maxidx; kindidx++) {
        gCalcMbps[kindidx] += Number(CALC_AUDIO) + Number(AUDIOADDDATA);
        gDispMbps[kindidx] += Number(DISP_AUDIO);
    }

    minidx = maxidx;
    maxidx += CAM_TYPENUM_H264VBR;
    for (; kindidx < maxidx; kindidx++) {
        gCalcMbps[kindidx] += Number(CALC_AUDIO) + Number(AUDIOADDDATA);
        gDispMbps[kindidx] += Number(DISP_AUDIO);
    }
}



function SortEachModelInfo_Aorder(model1, model2) {
    var product_id1 = model1['camCalcBR'];
    var product_id2 = model2['camCalcBR'];

    return product_id1 - product_id2;
}



function SortEachModelInfo_Dorder(model1, model2) {

    var product_id1 = model1['camCalcBR'];
    var product_id2 = model2['camCalcBR'];

    return product_id2 - product_id1;
}


function basicNwdrCalc(nNwdrCode) {
    var tmpRecNum = getTempNwdrNum(nNwdrCode);

    if (tmpRecNum < Math.ceil(gCamNumberUI[H264FM] / defMaxFMcamNum)) {
        tmpRecNum = Math.ceil(gCamNumberUI[H264FM] / defMaxFMcamNum);
    }

    if (tmpRecNum < 1) {
        return -1;
    }

    var plusRecNum = tmpRecNum;
    for (var idx = 0; idx < defPlusRecMax; idx++)
    {
        var orgNwdrInfo = gNwdrInfo.clone();
        NWDRArrayInit(plusRecNum);
        while (true) {
            var buf = AssignCam2Nwdr(nNwdrCode, plusRecNum);
            if (0 > buf) {
                return buf; 
            } else if (1 == buf) { 
                plusRecNum++; 
                NWDRArrayInit(plusRecNum);
            } else { 
                break;
            }
        }

        if (0 != idx) { 
            FunCompareOptimum(gNwdrInfo, orgNwdrInfo, nNwdrCode);
        }
        plusRecNum++; 
    }

    var copyNwdrInfo = gNwdrInfo.clone();

    gCamModelParamInfo.sort(SortEachModelInfo_Aorder);
    plusRecNum = tmpRecNum;
    for (var idx = 0; idx < defPlusRecMax; idx++)
    {    
        var orgNwdrInfo = gNwdrInfo.clone(); 
        NWDRArrayInit(plusRecNum);
        while (true) {
            var buf = AssignCam2Nwdr(nNwdrCode, plusRecNum);
            if (0 > buf) {
                return buf; 
            } else if (1 == buf) { 
                plusRecNum++; 
                NWDRArrayInit(plusRecNum);
            } else { 
                break;
            }
        }

        if (0 != idx) { 
            FunCompareOptimum(gNwdrInfo, orgNwdrInfo, nNwdrCode);
        }
        plusRecNum++; 
    }

    FunCompareOptimum(gNwdrInfo, copyNwdrInfo, nNwdrCode);

    if (g_FaceOverFlag) {
        return 1;
    }

    return 1;
}



function FunCompareOptimum(NwdrInfo1, NwdrInfo2, nNwdrCode) {
    var NwdrIdx1 = 0; var NwdrIdx2 = 0;
    var ExtUnitNum1 = 0; var ExtUnitNum2 = 0;

    NwdrIdx1 = NwdrInfo1.length;
    NwdrIdx2 = NwdrInfo2.length;

    for (var i = 0; i < NwdrIdx1; i++) {
        ExtUnitNum1 = Number(ExtUnitNum1) + Number(NwdrInfo1[i].extUnitNum);
    }
    for (var i = 0; i < NwdrIdx2; i++) {
        ExtUnitNum2 = Number(ExtUnitNum2) + Number(NwdrInfo2[i].extUnitNum);
    }
    var lratio = Number(defValRatio[nNwdrCode]) * (NwdrIdx1 - NwdrIdx2);

    if ((ExtUnitNum2 - ExtUnitNum1) >= lratio) {
        return 1;
    }

    tempnum = NwdrInfo2.length;
    NWDRArrayInit(tempnum);
    gNwdrInfo = NwdrInfo2.clone();
    return 0;
}


function FunCheckOverData(nNwdrCode) {
    gMaxDataCapTotalTB = Number(gMaxDataCapExtGB) * Number(defLimitOfExtNum[nNwdrCode]) / 1000;
    gMaxDataCapTotalTB = Number(gMaxDataCapTotalTB) + (Number(gMaxDataCapMainGB) / 1000);

    for (var i = 0; i < gCamModelParamInfo.length; i++) {
        var buf = gCamModelParamInfo[i]; 
        if (buf['camNum'] != 0) { 
            if ((Number(buf['camRecTB']) / Number(defRecCoef[nNwdrCode])) > gMaxDataCapTotalTB) {
                return RET_NWDR_OVF;
            }
        }
    }
    return RET_NO_ERROR;
}


function AssignCam2Nwdr(nNwdrCode, tempnum) {

    var intNWDRq = 0; 

    var bCamHandled = new Array(gTotalCamNum + 1);
    for (var camno = 0; camno < gTotalCamNum + 1; camno++) {
        bCamHandled[camno] = false;
    }

    var bigcheck = FunCheckOverData(nNwdrCode);
    if (bigcheck < 0) {
        return -1;
    }

    var oneMainUnitCapaTB = Number(gMaxDataCapMainGB) / 1000;

    var bMainUnitFinishedFlag = false; 
    var bHbrCamFinishedFlag = false; 

    for (var camno = 1; camno < gTotalCamNum + 1; camno++) { 
        if (bCamHandled[camno] == true) continue; 

        targetcaminfo = GetSingleCamInfo(nNwdrCode, camno);
        if (targetcaminfo[CAM_TYPE] != H264FM) continue;  

        for (var nwdrno = intNWDRq; nwdrno < tempnum; nwdrno++) {
            var ret = SubChangeNwdrChecklimit(nNwdrCode, targetcaminfo, nwdrno, 2); 
            if (0 > ret) { 
                return -1; 
            } else {
                if (ret == 1) { 
                    addExtUnit(nwdrno);
                }
                RegCam2Nwdr(nwdrno,            
                                targetcaminfo[CAM_CALCBR],  
                                targetcaminfo[CAM_TYPE],    
                                targetcaminfo[CAM_JPGIPS],  
                                targetcaminfo[CAM_RECTB],   
                                targetcaminfo[CAM_DISPBR],  
                                targetcaminfo[CAM_MODEL],  
                                targetcaminfo[CAM_DISPVBR]); 

                gNwdrInfo[nwdrno].lngLastHDDCapa =
                    Number(gNwdrInfo[nwdrno].lngLastHDDCapa) + Number(targetcaminfo[CAM_RECTB]);

                intNWDRq++;
                if (intNWDRq >= tempnum) {
                    intNWDRq = 0;
                }
                bCamHandled[camno] = true;
                break;
            }
        }
    }

    if (nNwdrCode == nNwdrND400) { 
        intNWDRq = 0; 
        for (var camno = 1; camno < gTotalCamNum + 1; camno++) {
            if (bCamHandled[camno] == true) continue; 

            targetcaminfo = GetSingleCamInfo(nNwdrCode, camno);

            if (targetcaminfo[CAM_DISPVBR] <= ND400_NORMAL_LIM_MBPS)
            {
                continue;
            }

            if (targetcaminfo[CAM_RECTB] > oneMainUnitCapaTB) {
                break; 
            }

            for (var nwdrno = intNWDRq; nwdrno < tempnum; nwdrno++) {
                var ret = SubChangeNwdrChecklimit(nNwdrCode, targetcaminfo, nwdrno, 0); 
                if (ret < 0) {
                    bHbrCamFinishedFlag = true;
                    break;
                } else {
                    RegCam2Nwdr(nwdrno,            
                                targetcaminfo[CAM_CALCBR], 
                                targetcaminfo[CAM_TYPE],   
                                targetcaminfo[CAM_JPGIPS], 
                                targetcaminfo[CAM_RECTB],  
                                targetcaminfo[CAM_DISPBR], 
                                targetcaminfo[CAM_MODEL], 
                                targetcaminfo[CAM_DISPVBR]); 

                    gNwdrInfo[nwdrno].lngLastHDDCapa =
                        Number(gNwdrInfo[nwdrno].lngLastHDDCapa) +
                        Number(targetcaminfo[CAM_RECTB]);

                    intNWDRq++;
                    if (intNWDRq >= tempnum) {
                        intNWDRq = 0;
                    }
                    bCamHandled[camno] = true;
                    break;
                }
            }

            if (true == bHbrCamFinishedFlag) {
                break;
            }
        }

        intNWDRq = 0; 

        for (var camno = 1; camno < gTotalCamNum + 1; camno++) { 
            if (bCamHandled[camno] == true) continue; 

            targetcaminfo = GetSingleCamInfo(nNwdrCode, camno);

            if (targetcaminfo[CAM_DISPVBR] <= ND400_NORMAL_LIM_MBPS)
            {
                continue;
            }

            intNWDRq = AddCamtoAnotherUnit(nNwdrCode, targetcaminfo, intNWDRq, 1); 
            if (intNWDRq < 0) {
                return 1;
            }
            RegCam2Nwdr(intNWDRq,                  
                        targetcaminfo[CAM_CALCBR], 
                        targetcaminfo[CAM_TYPE],   
                        targetcaminfo[CAM_JPGIPS], 
                        targetcaminfo[CAM_RECTB],  
                        targetcaminfo[CAM_DISPBR], 
                        targetcaminfo[CAM_MODEL], 
                    targetcaminfo[CAM_DISPVBR]); 

            bCamHandled[camno] = true; 
        }
    }
    intNWDRq = 0; 
    for (var camno = 1; camno < gTotalCamNum + 1; camno++) {
        if (bCamHandled[camno] == true) continue; 

        targetcaminfo = GetSingleCamInfo(nNwdrCode, camno);

        if (targetcaminfo[CAM_RECTB] > oneMainUnitCapaTB) {
            break; 
        }

        for (var nwdrno = intNWDRq; nwdrno < tempnum; nwdrno++) {
            var ret = SubChangeNwdrChecklimit(nNwdrCode, targetcaminfo, nwdrno, 0); 
            if (0 > ret) {
                if (nwdrno == tempnum - 1) {
                    bMainUnitFinishedFlag = true; 
                    break;
                }
            }
            else {
                RegCam2Nwdr(nwdrno,            
                            targetcaminfo[CAM_CALCBR], 
                            targetcaminfo[CAM_TYPE],   
                            targetcaminfo[CAM_JPGIPS], 
                            targetcaminfo[CAM_RECTB],  
                            targetcaminfo[CAM_DISPBR], 
                            targetcaminfo[CAM_MODEL], 
                            targetcaminfo[CAM_DISPVBR]); 

                gNwdrInfo[nwdrno].lngLastHDDCapa =
                    Number(gNwdrInfo[nwdrno].lngLastHDDCapa) +
                    Number(targetcaminfo[CAM_RECTB]);

                intNWDRq++;
                if (intNWDRq >= tempnum) {
                    intNWDRq = 0;
                }
                bCamHandled[camno] = true;
                break;
            }
        }

        if (true == bMainUnitFinishedFlag) {
            break;
        }
    }

    intNWDRq = 0; 

    for (var camno = 1; camno < gTotalCamNum + 1; camno++) { 
        if (bCamHandled[camno] == true) continue; 

        targetcaminfo = GetSingleCamInfo(nNwdrCode, camno);
        if (targetcaminfo[CAM_TYPE] == H264FM) continue;  

        intNWDRq = AddCamtoAnotherUnit(nNwdrCode, targetcaminfo, intNWDRq, 1); 
        if (intNWDRq < 0) {
            return 1;
        }
        RegCam2Nwdr(intNWDRq,                  
                    targetcaminfo[CAM_CALCBR], 
                    targetcaminfo[CAM_TYPE],   
                    targetcaminfo[CAM_JPGIPS], 
                    targetcaminfo[CAM_RECTB],  
                    targetcaminfo[CAM_DISPBR], 
                    targetcaminfo[CAM_MODEL], 
                    targetcaminfo[CAM_DISPVBR]); 
        bCamHandled[camno] = true; 
    }

    return RET_NO_ERROR;
}



function SubChangeNwdrChecklimit(nNwdrCode, targetcaminfo, intNWDRq, hdeflag) {

    if (1 < gNwdrInfo[intNWDRq].pankflg) { 
        return -1;
    }

    var camBitrate = 0;

    if (JPEG_1 <= targetcaminfo[CAM_TYPE][0] && targetcaminfo[CAM_TYPE][0] <= JPEG_3) {
        camBitrate = Number(targetcaminfo[CAM_CALCBR]) * Number(defGetaJpeg);
    } else { 
        camBitrate = Number(targetcaminfo[CAM_CALCBR]); 
    }

    var nextBitrateMbps =
        Number(gNwdrInfo[intNWDRq].nCamNumH264Vbr_1) * gVideoMbps[H264VBR_1] + 
        Number(gNwdrInfo[intNWDRq].nCamNumH264Vbr_2) * gVideoMbps[H264VBR_2] + 
        Number(gNwdrInfo[intNWDRq].nCamNumH264Vbr_3) * gVideoMbps[H264VBR_3] + 
        Number(gNwdrInfo[intNWDRq].nCamNumH264_1) * gVideoMbps[H264_1] + 
        Number(gNwdrInfo[intNWDRq].nCamNumH264_2) * gVideoMbps[H264_2] + 
        Number(gNwdrInfo[intNWDRq].nCamNumH264_3) * gVideoMbps[H264_3] + 
        Number(gNwdrInfo[intNWDRq].nCamNumH264_4) * gVideoMbps[H264_4] + 
        Number(gNwdrInfo[intNWDRq].nCamNumJpeg_1) * gDispMbps[JPEG_1] / 1000 * 1024 + 
        Number(gNwdrInfo[intNWDRq].nCamNumJpeg_2) * gDispMbps[JPEG_2] / 1000 * 1024 + 
        Number(gNwdrInfo[intNWDRq].nCamNumJpeg_3) * gDispMbps[JPEG_3] / 1000 * 1024 + 
        Number(gNwdrInfo[intNWDRq].nCamNumJpeg_4) * gDispMbps[JPEG_4] / 1000 * 1024 + 
        Number(gNwdrInfo[intNWDRq].nCamNumMpg4_1) * gVideoMbps[MPG4_1] + 
        Number(gNwdrInfo[intNWDRq].nCamNumFace_1) * gVideoMbps[H264FM] + 
        gVideoMbps[targetcaminfo[CAM_TYPE][0]];

    if (nNwdrCode == nNwdrND400) {
        if (Number(targetcaminfo[CAM_DISPVBR]) > ND400_NORMAL_LIM_MBPS) {
            if (Number(gNwdrInfo[intNWDRq].lngHbrCamNum) >= ND400_HBRCAM_MAX) {
                if (gNwdrInfo[intNWDRq].pankflg == 0) { 
                    gNwdrInfo[intNWDRq].pankflg = 1;  
                }
                return RET_HBRCAM_OVF;
            }
        }
    }

    if (defLimitBandWidth[nNwdrCode] < nextBitrateMbps) {
        gNwdrInfo[intNWDRq].pankflg = 2; 
        return RET_NWDR_OVF;
    }

    if (app_dst == 'ja') {
        var nextMicNum = ((camKind_H264_360SMR == (Number(targetcaminfo[CAM_MODEL]) + 3)) || (camKind_H264_9MSMR == (Number(targetcaminfo[CAM_MODEL]) + 3)) ? 1 : 0);
    } else {
        var nextMicNum = ((camKind_H264_360SMR == Number(targetcaminfo[CAM_MODEL])) || (camKind_H264_9MSMR == Number(targetcaminfo[CAM_MODEL])) ? 1 : 0);
    }
    var nextCamNum = Number(gNwdrInfo[intNWDRq].nCamTotalNum);
    if (H264_1 <= targetcaminfo[CAM_TYPE][0] && targetcaminfo[CAM_TYPE][0] <= H264_4) {
        nextCamNum += Number(gNwdrInfo[intNWDRq].n360MicNum) + nextMicNum;
    }
    else
    {
        nextCamNum += Number(gNwdrInfo[intNWDRq].n360MicNum);
    }

    if (Number(g_DynaConnect[nNwdrCode]) <= nextCamNum) { 
        gNwdrInfo[intNWDRq].pankflg = 2;  
        return RET_NWDR_OVF;
    }

    var nextJpegFps =
        Number(gNwdrInfo[intNWDRq].sysTotalIps) + Number(targetcaminfo[CAM_JPGIPS]);
    if (nextJpegFps > Number(defMaxJpegIps[nNwdrCode])) {
        gNwdrInfo[intNWDRq].pankflg = 2; 
        return RET_NWDR_OVF;
    }

    var nextRecCapa1 =
        Number(gNwdrInfo[intNWDRq].sysRecDataTB) + Number(targetcaminfo[CAM_RECTB]); 

    var nextRecCapa2 = 0;
    if (0 == Number(gNwdrInfo[intNWDRq].extUnitNum)) { 
        nextRecCapa2 =
            Number(gNwdrInfo[intNWDRq].lngLastHDDCapa) + Number(targetcaminfo[CAM_RECTB]); 
    } else {
        nextRecCapa2 =
            (gMaxDataCapMainGB / 1000) +     
            Number(gNwdrInfo[intNWDRq].extUnitNum - 1) * (gMaxDataCapExtGB / 1000) + 
            Number(gNwdrInfo[intNWDRq].lngLastHDDCapa) + 
            Number(targetcaminfo[CAM_RECTB]); 
    }

    var maxDataCapaTB = 0;
    switch (hdeflag) {
        case 0: 
        case 2: 
            maxDataCapaTB = gMaxDataCapMainGB / 1000;
            break;
        case 1: 
            maxDataCapaTB = gMaxDataCapTotalTB;
            break;
    }

    if (maxDataCapaTB < nextRecCapa1 || maxDataCapaTB < nextRecCapa2) {
        return ((hdeflag == 2) ? 1 : RET_NWDR_OVF); 
    }

    return RET_NO_ERROR; 
}


function SubChangeNwdrCheck(nNwdrCode, targetcaminfo, intNWDRq, hdeflag) {

    var ret = SubChangeNwdrChecklimit(nNwdrCode, targetcaminfo, intNWDRq, hdeflag);
    if (0 == ret) { 
        return intNWDRq; 
    }

    for (var idx = 0; idx < gNwdrInfo.length; idx++) {
        ret = SubChangeNwdrChecklimit(nNwdrCode, targetcaminfo, idx, hdeflag);
        if (0 == ret) { 
            return idx; 
        }
    }

    return RET_NWDR_OVF; 
}



function AddCamtoAnotherUnit(nNwdrCode, targetcaminfo, intNWDRq, hdeflag) {
    var targetUnitMaxCapaGB;

    var ret = SubChangeNwdrCheck(nNwdrCode, targetcaminfo, intNWDRq, hdeflag);
    if (0 > ret) { 
        return RET_NWDR_OVF;
    }

    var nextRecCapa = Number(gNwdrInfo[ret].lngLastHDDCapa) + Number(targetcaminfo[CAM_RECTB]); 

    targetUnitMaxCapaGB = (0 == Number(gNwdrInfo[ret].extUnitNum) ? gMaxDataCapMainGB : gMaxDataCapExtGB);
    if (nextRecCapa > (targetUnitMaxCapaGB / 1000)) { 
        intNWDRq++;
        if (intNWDRq >= gNwdrInfo.length) {
            intNWDRq = 0;
        }
        ret = SubChangeNwdrCheck(nNwdrCode, targetcaminfo, intNWDRq, hdeflag);
        if (0 > ret) { 
            return RET_NWDR_OVF;
        }
    }

    nextRecCapa = Number(gNwdrInfo[ret].lngLastHDDCapa) + Number(targetcaminfo[CAM_RECTB]); 
    targetUnitMaxCapaGB = (0 == Number(gNwdrInfo[ret].extUnitNum) ? gMaxDataCapMainGB : gMaxDataCapExtGB);

    if (nextRecCapa > (targetUnitMaxCapaGB / 1000)) {
        if (gNwdrInfo[ret].extUnitNum >= defLimitOfExtNum[nNwdrCode]) { 
            return RET_EXT_OVF; 
        }

        gNwdrInfo[ret].lngLastHDDCapa = Number(gNwdrInfo[ret].lngLastHDDCapa) + Number(targetcaminfo[CAM_RECTB]); 
        var dobhanpadata = addExtUnit(ret);

        targetUnitMaxCapaGB = (0 == Number(gNwdrInfo[ret].extUnitNum) ? gMaxDataCapMainGB : gMaxDataCapExtGB);
        while (dobhanpadata > targetUnitMaxCapaGB / 1000) {
            if (gNwdrInfo[ret].extUnitNum >= defLimitOfExtNum[nNwdrCode]) { 
                return RET_EXT_OVF; 
            }

            dobhanpadata = addExtUnit(ret);
            gNwdrInfo[ret].lngLastHDDCapa = dobhanpadata; 
        }
    } else {
        gNwdrInfo[ret].lngLastHDDCapa = nextRecCapa; 
    }

    return ret;
}


function addExtUnit(intNWDRq) {
    var dobhanpadata = 0;

    var targetUnitMaxCapaGB; 
    targetUnitMaxCapaGB = (0 == Number(gNwdrInfo[intNWDRq].extUnitNum) ? gMaxDataCapMainGB : gMaxDataCapExtGB);

    dobhanpadata = Number(gNwdrInfo[intNWDRq].lngLastHDDCapa) - (targetUnitMaxCapaGB / 1000); 
    gNwdrInfo[intNWDRq].extUnitNum = Number(gNwdrInfo[intNWDRq].extUnitNum) + 1; 
    gNwdrInfo[intNWDRq].lngLastHDDCapa = dobhanpadata; 
    return dobhanpadata;
}


function RegCam2Nwdr(i, brCalcMbps, cType, ips, camDataTB, brDispMbps, modelname, brDispVMbps) {
    if (frmNWDR.chkaudio.checked == true) {
        brCalcMbps = brCalcMbps - (Number(CALC_AUDIO) + Number(AUDIOADDDATA));
    }
    if (frmNWDR.chkvmd.checked == true) {
        brCalcMbps = brCalcMbps - Number(CALC_VMDINFO);
    }

    switch (cType[0]) {
        case H264VBR_1:
            gNwdrInfo[i].nCamNumH264Vbr_1 = Number(gNwdrInfo[i].nCamNumH264Vbr_1) + 1;
            if (app_dst == 'ja') {
                if (camKind_H264_360SMR == (modelname + 3) || camKind_H264_9MSMR == (modelname + 3)) {
                    gNwdrInfo[i].n360MicNum++;
                }
            } else {
                if (camKind_H264_360SMR == modelname || camKind_H264_9MSMR == modelname) {
                    gNwdrInfo[i].n360MicNum++;
                }
            }
            break;
        case H264VBR_2:
            gNwdrInfo[i].nCamNumH264Vbr_2 = Number(gNwdrInfo[i].nCamNumH264Vbr_2) + 1;
            if (app_dst == 'ja') {
                if (camKind_H264_360SMR == (modelname + 3) || camKind_H264_9MSMR == (modelname + 3)) {
                    gNwdrInfo[i].n360MicNum++;
                }
            } else {
                if (camKind_H264_360SMR == modelname || camKind_H264_9MSMR == modelname) {
                    gNwdrInfo[i].n360MicNum++;
                }
            }
            break;
        case H264VBR_3:
            gNwdrInfo[i].nCamNumH264Vbr_3 = Number(gNwdrInfo[i].nCamNumH264Vbr_3) + 1;
            if (app_dst == 'ja') {
                if (camKind_H264_360SMR == (modelname + 3) || camKind_H264_9MSMR == (modelname + 3)) {
                    gNwdrInfo[i].n360MicNum++;
                }
            } else {
                if (camKind_H264_360SMR == modelname || camKind_H264_9MSMR == modelname) {
                    gNwdrInfo[i].n360MicNum++;
                }
            }
            break;
        case H264_1:
            gNwdrInfo[i].nCamNumH264_1 = Number(gNwdrInfo[i].nCamNumH264_1) + 1;
            if (app_dst == 'ja') {
                if (camKind_H264_360SMR == (modelname + 3) || camKind_H264_9MSMR == (modelname + 3)) { 
                    gNwdrInfo[i].n360MicNum++;
                }
            } else {
                if (camKind_H264_360SMR == modelname || camKind_H264_9MSMR == modelname) { 
                    gNwdrInfo[i].n360MicNum++;
                }
            }
            break;
        case H264_2:
            gNwdrInfo[i].nCamNumH264_2 = Number(gNwdrInfo[i].nCamNumH264_2) + 1;
            if (app_dst == 'ja') {
                if (camKind_H264_360SMR == (modelname + 3) || camKind_H264_9MSMR == (modelname + 3)) { 
                    gNwdrInfo[i].n360MicNum++;
                }
            } else {
                if (camKind_H264_360SMR == modelname || camKind_H264_9MSMR == modelname) { 
                    gNwdrInfo[i].n360MicNum++;
                }
            }
            break;
        case H264_3:
            gNwdrInfo[i].nCamNumH264_3 = Number(gNwdrInfo[i].nCamNumH264_3) + 1;
            if (app_dst == 'ja') {
                if (camKind_H264_360SMR == (modelname + 3) || camKind_H264_9MSMR == (modelname + 3)) { 
                    gNwdrInfo[i].n360MicNum++;
                }
            } else {
                if (camKind_H264_360SMR == modelname || camKind_H264_9MSMR == modelname) { 
                    gNwdrInfo[i].n360MicNum++;
                }
            }
            break;
        case H264_4:
            gNwdrInfo[i].nCamNumH264_4 = Number(gNwdrInfo[i].nCamNumH264_4) + 1;
            if (app_dst == 'ja') {
                if (camKind_H264_360SMR == (modelname + 3) || camKind_H264_9MSMR == (modelname + 3)) {
                    gNwdrInfo[i].n360MicNum++;
                }
            } else {
                if (camKind_H264_360SMR == modelname || camKind_H264_9MSMR == modelname) {
                    gNwdrInfo[i].n360MicNum++;
                }
            }
            break;

        case JPEG_1:
            gNwdrInfo[i].nCamNumJpeg_1 = Number(gNwdrInfo[i].nCamNumJpeg_1) + 1;
            brCalcMbps = brCalcMbps * defGetaJpeg;
            break;
        case JPEG_2:
            gNwdrInfo[i].nCamNumJpeg_2 = Number(gNwdrInfo[i].nCamNumJpeg_2) + 1;
            brCalcMbps = brCalcMbps * defGetaJpeg;
            break;
        case JPEG_3:
            gNwdrInfo[i].nCamNumJpeg_3 = Number(gNwdrInfo[i].nCamNumJpeg_3) + 1;
            brCalcMbps = brCalcMbps * defGetaJpeg;
            break;
        case JPEG_4:
            gNwdrInfo[i].nCamNumJpeg_4 = Number(gNwdrInfo[i].nCamNumJpeg_4) + 1;
            brCalcMbps = brCalcMbps * defGetaJpeg;
            break;

        case MPG4_1:
            gNwdrInfo[i].nCamNumMpg4_1 = Number(gNwdrInfo[i].nCamNumMpg4_1) + 1;
            break;

        case H264FM:
            gNwdrInfo[i].nCamNumFace_1 = Number(gNwdrInfo[i].nCamNumFace_1) + 1;
            if (gNwdrInfo[i].nCamNumFace_1 > defMaxFMcamNum) { 
                g_FaceOverFlag = 1;
            }
            break;
    }

    if (frmNWDR.chkaudio.checked == true) {
        brCalcMbps = brCalcMbps + Number(CALC_AUDIO);
    }
    if (frmNWDR.chkvmd.checked == true) {
        brCalcMbps = brCalcMbps + (Number(CALC_VMDINFO));
    }

    var tempCamBps = 0;
    gNwdrInfo[i].nCamTotalNum =
        Number(gNwdrInfo[i].nCamNumH264Vbr_1) +
        Number(gNwdrInfo[i].nCamNumH264Vbr_2) +
        Number(gNwdrInfo[i].nCamNumH264Vbr_3) +
        Number(gNwdrInfo[i].nCamNumH264_1) +
        Number(gNwdrInfo[i].nCamNumH264_2) +
        Number(gNwdrInfo[i].nCamNumH264_3) +
        Number(gNwdrInfo[i].nCamNumH264_4) +
        Number(gNwdrInfo[i].nCamNumJpeg_1) +
        Number(gNwdrInfo[i].nCamNumJpeg_2) +
        Number(gNwdrInfo[i].nCamNumJpeg_3) +
        Number(gNwdrInfo[i].nCamNumJpeg_4) +
        Number(gNwdrInfo[i].nCamNumMpg4_1) +
        Number(gNwdrInfo[i].nCamNumFace_1);

    if (Number(brDispVMbps) > ND400_NORMAL_LIM_MBPS) {
        gNwdrInfo[i].lngHbrCamNum = Number(gNwdrInfo[i].lngHbrCamNum) + 1;
        bND400_4kFirm = true; 
    }
    gNwdrInfo[i].sysCalcMbps = Number(gNwdrInfo[i].sysCalcMbps) + Number(brCalcMbps);
    tempCamBps = gNwdrInfo[i].sysCalcMbps;
    tempCamBps = NumberToFixed2(tempCamBps, 3);
    gNwdrInfo[i].sysCalcMbps = tempCamBps;

    gNwdrInfo[i].sysDispMbps =
        Number(gNwdrInfo[i].sysDispMbps) + Number(brDispMbps); 

    gNwdrInfo[i].sysTotalIps = Number(gNwdrInfo[i].sysTotalIps) + Number(ips);

    camDataTB = GetMarumCapa2(camDataTB);
    gNwdrInfo[i].sysRecDataTB =
        Number(gNwdrInfo[i].sysRecDataTB) + Number(camDataTB); 
}



function GetSingleCamInfo(nNwdrCode, j) {
    var lmode;
    var inttempc = 0;

    for (var i = 0; i < gCamModelParamInfo.length; i++) {
        var buf = gCamModelParamInfo[i];

        var inttempc = Number(inttempc) + Number(buf['camNum']);
        if (j <= inttempc) {
            intarrayno = j;

            return [
                Number(buf['camRecTB']) / defRecCoef[nNwdrCode], 
                buf['camCalcBR'], 
                buf['camType'],   
                buf['camJpgIps'], 
                buf['camDispBR'], 
                buf['camModel'],   
                buf['camDispVBR']   
            ];
        }
    }
}


function getTempNwdrNum(nNwdrCode) {
    var tempNwdrNum = 0;

    var sprio1 = frmNWDR.selPrioH264_1.options[
                frmNWDR.selPrioH264_1.selectedIndex
            ].text;
    var sprio2 = frmNWDR.selPrioH264_2.options[
                frmNWDR.selPrioH264_2.selectedIndex
            ].text;
    var sprio3 = frmNWDR.selPrioH264_3.options[
                frmNWDR.selPrioH264_3.selectedIndex
            ].text;
    var sprio4 = frmNWDR.selPrioH264_4.options[
                frmNWDR.selPrioH264_4.selectedIndex
            ].text;

    var modconnect = gTotalCamNum % g_DynaConnect[nNwdrCode];
    tempNwdrNum = (gTotalCamNum - modconnect) / g_DynaConnect[nNwdrCode];
    if (0 < modconnect) {
        tempNwdrNum += 1;
    }


    var totalBitrateMbps =
        gCamNumberUI[H264VBR_1] * gVideoMbps[H264VBR_1] + 
        gCamNumberUI[H264VBR_2] * gVideoMbps[H264VBR_2] + 
        gCamNumberUI[H264VBR_3] * gVideoMbps[H264VBR_3] + 
        gCamNumberUI[H264_1] * gVideoMbps[H264_1] + 
        gCamNumberUI[H264_2] * gVideoMbps[H264_2] + 
        gCamNumberUI[H264_3] * gVideoMbps[H264_3] + 
        gCamNumberUI[H264_4] * gVideoMbps[H264_4] + 
        gCamNumberUI[JPEG_1] * gDispMbps[JPEG_1] / 1000 * 1024 + 
        gCamNumberUI[JPEG_2] * gDispMbps[JPEG_2] / 1000 * 1024 + 
        gCamNumberUI[JPEG_3] * gDispMbps[JPEG_3] / 1000 * 1024 + 
        gCamNumberUI[JPEG_4] * gDispMbps[JPEG_4] / 1000 * 1024 + 
        gCamNumberUI[MPG4_1] * gVideoMbps[MPG4_1] + 
        gCamNumberUI[H264FM] * gVideoMbps[H264FM]; 

    var calcNwdrNum = Math.ceil(totalBitrateMbps / defLimitBandWidth[nNwdrCode]); 

    if (calcNwdrNum > tempNwdrNum) {
        tempNwdrNum = calcNwdrNum;
    }

    var totalTargetRecDataGB = Number(frmNWDR.txttotalcap.value) / defRecCoef[nNwdrCode]; 
    totalTargetRecDataGB = NumberToFixed2(totalTargetRecDataGB, 4) * 1000;

    var hddCapaGB = gSelHddUnitGB;
    var nv300MainGB = defNV300HDDcapTB[nNV300_8] * 1000; 
    var maxTotalCapaGB;    

    switch (gSelRaidMode) {
        case 0: 
            gMaxDataCapMainGB = hddCapaGB * defMaxHddNum_Main_RAID0[nNwdrCode];
            if (nNwdrCode == nNwdrNV300 && app_dst == 'ja') {
                gMaxDataCapMainGB = nv300MainGB; 
            }
            gMaxDataCapExtGB = hddCapaGB * defMaxHddNum_Ext_RAID0[nNwdrCode];
            maxTotalCapaGB = gMaxDataCapMainGB +
                hddCapaGB * defLimitOfExtNum[nNwdrCode] * defMaxHddNum_Ext_RAID0[nNwdrCode];

            if (nNwdrCode == nNwdrNV300) {
                gMaxDataCapMainGB -= defMaxHddNum_Main_RAID0[nNwdrCode] * (defNVtimelineTB * 1000); 
                gMaxDataCapExtGB -= defMaxHddNum_Ext_RAID0[nNwdrCode] * (defNVtimelineTB * 1000); 
                maxTotalCapaGB -= defMaxHddNum_System_RAID0[nNwdrCode] * (defNVtimelineTB * 1000); 
            }
            break;

        case 1: 
        case 9: 
            gMaxDataCapMainGB = hddCapaGB * defMaxHddNum_Main_RAID1[nNwdrCode];
            gMaxDataCapExtGB = 0;
            maxTotalCapaGB = hddCapaGB * defMaxHddNum_System_RAID1[nNwdrCode];
            if (nNwdrCode == nNwdrNV300 && app_dst == 'ja') {
                gMaxDataCapMainGB = nv300MainGB / 2; 
                maxTotalCapaGB = gMaxDataCapMainGB;  
            }

            if (nNwdrCode == nNwdrNV300) {
                gMaxDataCapMainGB -= defMaxHddNum_Main_RAID1[nNwdrCode] * (defNVtimelineTB * 1000); 
                maxTotalCapaGB -= defMaxHddNum_System_RAID1[nNwdrCode] * (defNVtimelineTB * 1000); 
            }
            break;

        case 5: 
            gMaxDataCapMainGB = hddCapaGB * defMaxHddNum_Main_RAID5[nNwdrCode];
            gMaxDataCapExtGB = hddCapaGB * defMaxHddNum_Ext_RAID5[nNwdrCode];
            maxTotalCapaGB = hddCapaGB * defMaxHddNum_System_RAID5[nNwdrCode];

            if (nNwdrCode == nNwdrNV300) {
                gMaxDataCapExtGB -= (defNVtimelineTB * 1000); 
                maxTotalCapaGB -= defLimitOfExtNum[nNwdrCode] * (defNVtimelineTB * 1000); 
            }
            break;

        case 6: 
            gMaxDataCapMainGB = hddCapaGB * defMaxHddNum_Main_RAID6[nNwdrCode];
            gMaxDataCapExtGB = hddCapaGB * defMaxHddNum_Ext_RAID6[nNwdrCode];
            maxTotalCapaGB = hddCapaGB * defMaxHddNum_System_RAID6[nNwdrCode];

            if (nNwdrCode == nNwdrNV300) {
                gMaxDataCapExtGB -= (defNVtimelineTB * 1000); 
                maxTotalCapaGB -= defLimitOfExtNum[nNwdrCode] * (defNVtimelineTB * 1000); 
            }

            break;
    } 
    calcNwdrNum = Math.ceil(totalTargetRecDataGB / maxTotalCapaGB);

    if (calcNwdrNum > tempNwdrNum) {
        tempNwdrNum = calcNwdrNum;
    }

    var totalJpegIps = 0;
    totalJpegIps += (gCamNumberUI[JPEG_1] * gJpegIps[JPEG_1]); 
    totalJpegIps += (gCamNumberUI[JPEG_2] * gJpegIps[JPEG_2]); 
    totalJpegIps += (gCamNumberUI[JPEG_3] * gJpegIps[JPEG_3]); 
    totalJpegIps += (gCamNumberUI[JPEG_4] * gJpegIps[JPEG_4]); 

    var modJpegIps = totalJpegIps % defMaxJpegIps[nNwdrCode];
    calcNwdrNum = (totalJpegIps - modJpegIps) / defMaxJpegIps[nNwdrCode];
    if (modJpegIps > 0) {
        calcNwdrNum += 1;
    }

    if (calcNwdrNum > tempNwdrNum) {
        tempNwdrNum = calcNwdrNum;
    }

    var oneDataGB = GetCamBitrateorder(nNwdrCode);
    if (oneDataGB > maxTotalCapaGB) {
        return RET_NWDR_OVF;
    }

    return tempNwdrNum;
}



function GetCamBitrateorder(nNwdrCode) {
    var tempbit = 0;
    for (var i = 0; i < CAM_TYPENUM_ALL; i++) {
        if (gCamNumberUI[i] > 0) {
            if (gCalcMbps[i] > tempbit) {
                tempbit = gCalcMbps[i];
            }
        }
    }

    var oneDataGB = 0;
    oneDataGB =
        Number(tempbit) / 8 * 3600 * gRecDay * gRecHour / 1000;
    oneDataGB = oneDataGB / Number(defRecCoef[nNwdrCode]);


    oneDataGB = Number(NumberToFixed2(oneDataGB, 4));

    gCamModelParamInfo.sort(SortEachModelInfo_Dorder);

    return oneDataGB;
}

function hikaku(a, b) {
    return (b.Mbps - a.Mbps);
}

function sort_kougo(cnt, camBitrate) {
    var cnt_l = 0; 
    var cnt_s = 0; 

    for (var i = 0; i < cnt; i++) {
        if (i % 2 == 0) {
            tmpcamBitrate[i] = camBitrate[cnt_s];
            cnt_s++;
        }
        else {
            tmpcamBitrate[i] = camBitrate[cnt - 1 - cnt_l];
            cnt_l++;
        }
    }
    for (var i = 0; i < cnt; i++) {
        camBitrate[i] = tmpcamBitrate[i];
    }
}


function camNum2LicNum(nCamNum, nNwdrCode) {
    var nRet = 0;
    switch (nNwdrCode) {
        case nNwdrNV300: 
            if (nCamNum > 24) nRet++;
            if (nCamNum > 16) nRet++;
            if (nCamNum > 9) nRet++;
            break;

    } 
    return nRet;
}


function getBrowserVersion() {
    return window.opera ?
        (opera.version().replace(/\d$/, '') - 0) :
        parseFloat((/(?:IE |fox\/|ome\/|ion\/)(\d+\.\d)/.
            exec(navigator.userAgent) || [, 0])[1]);
}


function numOnly2(nKeyCode) {

    if (nKeyCode == 46 || nKeyCode == 37 || nKeyCode == 39) {
         return true;
    }

    if (96 <= nKeyCode & nKeyCode <= 105) {
        return true;
    }

    var m = String.fromCharCode(nKeyCode);
    if ('0123456789\d\b\r\t'.indexOf(m, 0) < 0) {
         return false;
    }

    return true;

}


function GetMarumCapa(data) {

    if (data < 1) {
        if (data < 0.0001) {
            data = 0.0001;
        } else {
            data = Math.ceil(data * 100000) / 100000;
            data = NumberToFixed(data, 4);
        }
    } else {
        data = Math.ceil(data * 1000) / 1000;
        data = NumberToFixed(data, 2);
    }

    return data;
}


function GetMarumCapa2(data) {

    return data;
}

function NumberToFixed(dValue, iDigits) {
    if (isNaN(dValue)) {
        return dValue;
    }

    var dCoef = Math.pow(10, iDigits);
    var ret = dValue;

    if (dValue > 0) {
        ret = Math.floor((dValue * dCoef) + 0.5) / dCoef;
    }
    else {
        ret = Math.ceil((dValue * dCoef) - 0.5) / dCoef;
    }

    var retstr = ret.toString();
    var pos = retstr.lastIndexOf('.');
    if (0 < pos) {
        var keta = retstr.length - (pos + 1);
        for (var idx = keta; idx < iDigits; idx++) {
            retstr = retstr + '0';
        }
    }
    else {
        retstr = ret.toString();

        retstr = retstr + '.';
        for (var idx = 0; idx < iDigits; idx++) {
            retstr = retstr + '0';
        }
    }

    return retstr;
}

function NumberToFixed2(dValue, iDigits) {
    return dValue;
}

function isJpSingle() {
    if (gSelRaidMode == 0 && app_dst == 'ja') return true;
    return false;
}

function isJpMirror() {
    if (gSelRaidMode == 1 && app_dst == 'ja') return true;
    return false;
}


